function util_check_expire(expire_date=''){
    if(expire_date==''){
        return true;
    }
    expire_date = expire_date.replace('T00:00:00.000Z','');
    let now_date = new Date();
    expire_date_list = expire_date.split('-');
    expire_date_f = new Date(expire_date_list[0], (expire_date_list[1]-1), expire_date_list[2]);
    if (now_date > expire_date_f) {
        return true;
    }
    return false;
}

function util_check_is_maps_page(){
     //检测当前是否maps页面
    /*chrome.tabs.getSelected(null, function (tab) {
        var current_url =  tab.url;
        if(current_url){
            if(current_url.indexOf('facebook')==-1){
                   chrome.tabs.create({ url: "https://www.facebook.com" });
            }
        }else{
            chrome.tabs.create({ url: "https://www.facebook.com" });
        }
    });*/
}

function util_ws_get_country_code(country_name='') {
    let countries = {
        'Afghanistan阿富汗': '+93',
        'Albania阿尔巴尼亚': '+355',
        'Algeria阿尔及利亚': '+213',
        'American Samoa美属萨摩亚': '+1',
        'Andorra安道尔': '+376',
        'Angola安哥拉': '+244',
        'Anguilla鳗鱼': '+1',
        'Antigua and Barbuda安提瓜和巴布达': '+1',
        'Argentina阿根廷': '+54',
        'Armenia亚美尼亚': '+374',
        'Aruba阿鲁巴': '+297',
        'Australia澳大利亚': '+61',
        'Austria奥地利': '+43',
        'Azerbaijan阿塞拜疆': '+994',
        'Bahamas巴哈马': '+1',
        'Bahrain巴林': '+973',
        'Bangladesh孟加拉国': '+880',
        'Barbados巴巴多斯': '+1',
        'Belarus白俄罗斯': '+375',
        'Belgium比利时': '+32',
        'Belize伯利兹': '+501',
        'Benin贝宁': '+229',
        'Bermuda百慕大': '+1',
        'Bhutan不丹': '+975',
        'Bolivia玻利维亚': '+591',
        'Bosnia and Herzegovina波斯尼亚和黑塞哥维那': '+387',
        'Botswana博茨瓦纳': '+267',
        'Brazil巴西': '+55',
        'British Indian Ocean Territory英属印度洋领地': '+246',
        'British Virgin Islands英属维尔京群岛': '+1',
        'Brunei文莱': '+673',
        'Bulgaria保加利亚': '+359',
        'Burkina Faso布基纳法索': '+226',
        'Burundi布隆迪': '+257',
        'Cambodia柬埔寨': '+855',
        'Cameroon喀麦隆': '+237',
        'Canada加拿大': '+1',
        'Cape Verde佛得角': '+238',
        'Caribbean Netherlands加勒比海荷兰': '+599',
        'Cayman Islands开曼群岛': '+1',
        'Central African Republic中非共和国': '+236',
        'Chad乍得': '+235',
        'Chile智利': '+56',
        'China中国': '+86',
        'Christmas Island圣诞岛': '+61',
        'CocosKeeling Islands科科斯（基林）群岛': '+61',
        'Colombia哥伦比亚': '+57',
        'Comoros科摩罗': '+269',
        'CongoDRC刚果民主共和国': '+243',
        'CongoRepublic刚果共和国': '+242',
        'Cook Islands库克群岛': '+682',
        'Costa Rica哥斯达黎加': '+506',
        'Côte d’Ivoire科特迪瓦': '+225',
        'Croatia克罗地亚': '+385',
        'Cuba古巴': '+53',
        'Curaçao库拉索': '+599',
        'Cyprus塞浦路斯': '+357',
        'Czech Republic捷克共和国': '+420',
        'DenmarkDanmark丹麦': '+45',
        'Djibouti吉布提': '+253',
        'Dominica多米尼克': '+1',
        'Dominican Republic多米尼加共和国': '+1',
        'Ecuador厄瓜多尔': '+593',
        'Egypt埃及': '+20',
        'El Salvador萨尔瓦多': '+503',
        'Equatorial Guinea赤道几内亚': '+240',
        'Eritrea厄立特里亚': '+291',
        'EstoniaEesti爱沙尼亚（东）': '+372',
        'Ethiopia埃塞俄比亚': '+251',
        'Falkland Islands福克兰群岛': '+500',
        'Faroe IslandsFøroyar法罗群岛': '+298',
        'Fiji斐济': '+679',
        'FinlandSuomi芬兰': '+358',
        'France法国': '+33',
        'French Guiana法属圭亚那': '+594',
        'French Polynesia法属波利尼西亚': '+689',
        'Gabon加蓬': '+241',
        'Gambia冈比亚': '+220',
        'Georgia格鲁吉亚': '+995',
        'Germany德国': '+49',
        'Ghana加纳': '+233',
        'Gibraltar直布罗陀': '+350',
        'Greece希腊': '+30',
        'Greenland格陵兰': '+299',
        'Grenada格林纳达岛': '+1',
        'Guadeloupe瓜德罗普岛': '+590',
        'Guam关岛': '+1',
        'Guatemala危地马拉': '+502',
        'Guernsey根西岛': '+44',
        'Guinea几内亚': '+224',
        'Guinea - Bissau几内亚 - 比绍': '+245',
        'Guyana圭亚那': '+592',
        'Haiti海地': '+509',
        'Honduras洪都拉斯': '+504',
        'Hong Kong中国香港': '+852',
        'Hungary匈牙利': '+36',
        'Iceland冰岛': '+354',
        'India印度': '+91',
        'Indonesia印度尼西亚': '+62',
        'Iran伊朗': '+98',
        'Iraq伊拉克': '+964',
        'Ireland爱尔兰': '+353',
        'Isle of Man马恩岛': '+44',
        'Israel以色列': '+972',
        'Italy意大利': '+39',
        'Jamaica牙买加': '+1',
        'Japan日本': '+81',
        'Jersey泽西': '+44',
        'Jordan约旦': '+962',
        'Kazakhstan哈萨克斯坦': '+7',
        'Kenya肯尼亚': '+254',
        'Kiribati基里巴斯': '+686',
        'Kosovo科索沃': '+383',
        'Kuwait科威特': '+965',
        'Kyrgyzstan吉尔吉斯斯坦': '+996',
        'Laos老挝': '+856',
        'Latvia拉脱维亚': '+371',
        'Lebanon黎巴嫩': '+961',
        'Lesotho莱索托': '+266',
        'Liberia利比里亚': '+231',
        'Libya利比亚': '+218',
        'Liechtenstein列支敦士登': '+423',
        'Lithuania立陶宛': '+370',
        'Luxembourg卢森堡': '+352',
        'Macau中国澳門': '+853',
        'Macedonia马其顿': '+389',
        'Madagascar马达加斯加': '+261',
        'Malawi马拉维': '+265',
        'Malaysia马来西亚': '+60',
        'Maldives马尔代夫': '+960',
        'Mali马里': '+223',
        'Malta马耳他': '+356',
        'Marshall Islands马绍尔群岛': '+692',
        'Martinique马提尼克': '+596',
        'Mauritania毛里塔尼亚': '+222',
        'Mauritius毛里求斯': '+230',
        'Mayotte马约特岛': '+262',
        'Mexico墨西哥': '+521',
        'Micronesia密克罗尼西亚': '+691',
        'Moldova摩尔多瓦': '+373',
        'Monaco摩纳哥': '+377',
        'Mongolia蒙古': '+976',
        'Montenegro黑山': '+382',
        'Montserrat蒙特塞拉特': '+1',
        'Morocco摩洛哥': '+212',
        'Mozambique莫桑比克': '+258',
        'Myanmar缅甸': '+95',
        'Namibia纳米比亚': '+264',
        'Nauru瑙鲁': '+674',
        'Nepal尼泊尔': '+977',
        'Netherlands荷兰': '+31',
        'New Caledonia新喀里多尼亚': '+687',
        'New Zealand新西兰': '+64',
        'Nicaragua尼加拉瓜': '+505',
        'Niger尼日尔': '+227',
        'Nigeria尼日利亚': '+234',
        'Niue纽埃': '+683',
        'Norfolk Island诺福克岛': '+672',
        'North Korea朝鲜': '+850',
        'Northern Mariana Islands北马里亚纳群岛': '+1',
        'Norway挪威': '+47',
        'Oman阿曼': '+968',
        'Pakistan巴基斯坦': '+92',
        'Palau帕劳': '+680',
        'Palestine巴勒斯坦': '+970',
        'Panama巴拿马': '+507',
        'Papua New Guinea巴布亚新几内亚': '+675',
        'Paraguay巴拉圭': '+595',
        'Peru秘鲁': '+51',
        'Philippines菲律宾': '+63',
        'Poland波兰': '+48',
        'Portugal葡萄牙': '+351',
        'Puerto Rico波多黎各': '+1',
        'Qatar卡塔尔': '+974',
        'Réunion会议': '+262',
        'Romania罗马尼亚': '+40',
        'Russia俄罗斯': '+7',
        'Rwanda卢旺达': '+250',
        'Saint Barthélemy圣巴塞洛缪': '+590',
        'Saint Helena圣赫勒拿': '+290',
        'Saint Kitts and Nevis圣基茨和尼维斯': '+1',
        'Saint Lucia圣卢西亚': '+1',
        'Saint Martin圣马丁': '+590',
        'Saint Pierre and Miquelon圣彼得和密克隆': '+508',
        'Saint Vincent and the Grenadines圣文森特和格林纳丁斯': '+1',
        'Samoa萨摩亚': '+685',
        'San Marino圣马力诺': '+378',
        'São Tomé and Príncipe圣多美和普林西比': '+239',
        'Saudi Arabia沙特阿拉伯': '+966',
        'Senegal塞内加尔': '+221',
        'Serbia塞尔维亚': '+381',
        'Seychelles塞舌尔': '+248',
        'Sierra Leone塞拉利昂': '+232',
        'Singapore新加坡': '+65',
        'Sint Maarten圣马丁岛': '+1',
        'Slovakia斯洛伐克': '+421',
        'Slovenia斯洛文尼亚': '+386',
        'Solomon Islands所罗门群岛': '+677',
        'Somalia索马里': '+252',
        'South Africa南非': '+27',
        'South Korea韩国': '+82',
        'South Sudan南苏丹': '+211',
        'Spain西班牙': '+34',
        'Sri Lanka斯里兰卡': '+94',
        'Sudan苏丹': '+249',
        'Suriname苏里南': '+597',
        'Svalbard and Jan Mayen斯瓦尔巴和扬马延': '+47',
        'Swaziland斯威士兰': '+268',
        'Sweden瑞典': '+46',
        'Switzerland瑞士': '+41',
        'Syria叙利亚': '+963',
        'Taiwan中国台湾': '+886',
        'Tajikistan塔吉克斯坦': '+992',
        'Tanzania坦桑尼亚': '+255',
        'Thailand泰国': '+66',
        'Timor-Leste帝汶-东': '+670',
        'Togo多哥': '+228',
        'Tokelau托克劳': '+690',
        'Tonga汤加': '+676',
        'Trinidad and Tobago特立尼达和多巴哥': '+1',
        'Tunisia突尼斯': '+216',
        'Turkey土耳其': '+90',
        'Turkmenistan土库曼斯坦': '+993',
        'Turks and Caicos Islands特克斯和凯科斯群岛': '+1',
        'Tuvalu图瓦卢': '+688',
        'U.S.Virgin Islands美属维尔京群岛': '+1',
        'Uganda乌干达': '+256',
        'Ukraine乌克兰': '+380',
        'United Arab Emirates阿拉伯联合酋长国': '+971',
        'United Kingdom英国': '+44',
        'United States美国': '+1',
        'Uruguay乌拉圭': '+598',
        'Uzbekistan乌兹别克斯坦': '+998',
        'Vanuatu瓦努阿图': '+678',
        'Vatican City梵蒂冈城': '+39',
        'Venezuela委内瑞拉': '+58',
        'Vietnam越南': '+84',
        'Wallis and Futuna瓦利斯和富图纳': '+681',
        'Western Sahara西撒哈拉': '+212',
        'Yemen也门': '+967',
        'Zambia赞比亚': '+260',
        'Zimbabwe津巴布韦': '+263',
        'Åland Islands奥兰群岛': '+358'
    };
    if(countries.hasOwnProperty(country_name)){
        return countries[country_name];
    }
    return '+86';
}

function get_expire(){
    var bg = chrome.extension.getBackgroundPage();
    bg.plugin_get_expire(function (callback_data){
        let expire_date = callback_data['expire'];
        if(typeof expire_date === 'undefined'){
            $('.jihuo').show();
            $('#expire_date').html("<span style='color:red;'>已过期或未激活</span>");
            $('#message-info').html("<span style='color:red;'>已过期或未激活，</span><a href='https://www.gycharm.com/user/order-plugin' target='_blank'>续费或者购买后，</a> <span style='color:red;'>在下面输入框激活！</span>");
            return;
        }else{
            console.log('expire_date');
            console.log(expire_date);
            expire_date = expire_date.replace('T00:00:00.000Z','');
            $('#expire_date').html(expire_date);
            if (util_check_expire(expire_date)) {
                $('.jihuo').show();
                $('#expire_date').html("<span style='color:red;'>已过期或未激活</span>");
                $('#message-info').html("<span style='color:red;'>已过期或未激活，</span><a href='https://www.gycharm.com/user/order-plugin' target='_blank'>续费或者购买后，</a> <span style='color:red;'>在下面输入框激活！</span>");
                return;
            }
        }
    });
}

get_expire();

function extract_catalog_products_export_clean(){
    $('#extract-catalog-products-export-clean').click(function (){
        //util_check_is_maps_page();
        //
        $('#message-info').html('<span style="font-size: 12px;">提取需要花费时间，请保持界面不动,处理中...</span>')
        console.log('extract-catalog-products-url');
        //
        var bg = chrome.extension.getBackgroundPage();
        bg.storage_get(function (callback_data) {
            console.log('extract_catalog_products_export_clean');
            console.log(callback_data);
            //
            let expire_date = callback_data['expire'];
            if(typeof expire_date === 'undefined'){
                $('.jihuo').show();
                $('#expire_date').html("<span style='color:red;'>已过期或未激活</span>");
                $('#message-info').html("<span style='color:red;'>已过期或未激活，</span><a href='https://www.gycharm.com/user/order-plugin' target='_blank'>续费或者购买后，</a> <span style='color:red;'>在下面输入框激活！</span>");
                return;
            }else{
                console.log('expire_date');
                console.log(expire_date);
                expire_date = expire_date.replace('T00:00:00.000Z','');
                $('#expire_date').html(expire_date);
                if (util_check_expire(expire_date)) {
                    $('.jihuo').show();
                    $('#expire_date').html("<span style='color:red;'>已过期或未激活</span>");
                    $('#message-info').html("<span style='color:red;'>已过期或未激活，</span><a href='https://www.gycharm.com/user/order-plugin' target='_blank'>续费或者购买后，</a> <span style='color:red;'>在下面输入框激活！</span>");
                    return;
                }
            }
            //
            let export_datas = [];
            //
            for(let key in callback_data){
                if(key.indexOf('shangjia_whatsapp_group_info_') != -1){
                    //
                    let shangjia_about_contact_and_basic_info = callback_data[key];
                    let export_data_item = {
                            '群组链接或者号码': shangjia_about_contact_and_basic_info['_shangjia_id'],
                            '来源': shangjia_about_contact_and_basic_info['_shangjia_url']
                    }
                    export_datas.push(export_data_item);
                    //
                }
            }
             //
            for(let key in callback_data){
                if(key.indexOf('youtube_shangjia_about_contact_and_basic_info_') != -1){
                    //
                    let youtube_shangjia_about_contact_and_basic_info = callback_data[key];
                    let _hongren_whatsapp_group = youtube_shangjia_about_contact_and_basic_info['_hongren_whatsapp_group'];
                    _hongren_whatsapp_group = _hongren_whatsapp_group.trim();
                    if(_hongren_whatsapp_group != ''){
                         let export_data_item = {
                            '群组链接或者号码': _hongren_whatsapp_group,
                            '来源': youtube_shangjia_about_contact_and_basic_info['_shangjia_about_contact_and_basic_info_link']
                         }
                         export_datas.push(export_data_item);
                        //
                    }
                }
            }
            //
            for(let key in callback_data){
                if(key.indexOf('shangjia_whatsapp_num_info_') != -1){
                    //
                    let shangjia_about_contact_and_basic_info = callback_data[key];
                    let _whatsapp_num = shangjia_about_contact_and_basic_info['_num'];
                    _whatsapp_num = _whatsapp_num.trim();
                    if(_whatsapp_num != ''){
                         let export_data_item = {
                            '群组链接或者号码': _whatsapp_num,
                            '来源': shangjia_about_contact_and_basic_info['_url']
                         }
                         export_datas.push(export_data_item);
                         //
                    }
                }
            }
            //
            for(let key in callback_data){
                if(key.indexOf('youtube_shangjia_about_contact_and_basic_info_') != -1){
                    //
                    let youtube_shangjia_about_contact_and_basic_info = callback_data[key];
                    let _hongren_whatsapp = youtube_shangjia_about_contact_and_basic_info['_hongren_whatsapp'];
                    _hongren_whatsapp = _hongren_whatsapp.trim();
                    if(_hongren_whatsapp){
                        let export_data_item = {
                            '群组链接或者号码': youtube_shangjia_about_contact_and_basic_info['_hongren_whatsapp'],
                            '来源': youtube_shangjia_about_contact_and_basic_info['_shangjia_about_contact_and_basic_info_link']
                        }
                        export_datas.push(export_data_item);
                        //
                    }
                }
            }
            //

            //
            console.log(export_datas);
            //
            exportToExcel(export_datas, 'gycharm-ws-export-'+Date.now(), "Sheet1");
            //
            $('#message-info').html('');
            //
        });
        //
    });
}

extract_catalog_products_export_clean();

function extract_catalog_products_clean(){
    $('#extract-catalog-products-clean').click(function (){
        //util_check_is_maps_page();
        //
        var bg = chrome.extension.getBackgroundPage();
        bg.storage_clear();
        //
    });
}

extract_catalog_products_clean();
//

function extract_catalog_products_pause(){
    $('#extract-catalog-products-pause').click(function (){
        util_check_is_maps_page();
        //
        var bg = chrome.extension.getBackgroundPage();
        bg.pause_switch(function (){
            bg.storage_get(function (callback_data) {
                if(callback_data['pause'] == 1){
                    $('#extract-catalog-products-pause').text('采集已暂停,可点击开启');
                }else{
                    $('#extract-catalog-products-pause').text('采集已开启,可点击暂停');
                }
            });
          //
        });
        //
    });
}
extract_catalog_products_pause();

//
function search(){
    $('.form-sns #form_sns_submit').click(function (){
        var bg = chrome.extension.getBackgroundPage();
        bg.plugin_get_expire(function (callback_data) {
            let expire_date = callback_data['expire'];
            if (typeof expire_date === 'undefined') {
                $('.jihuo').show();
                $('#expire_date').html("<span style='color:red;'>已过期或未激活</span>");
                $('#message-account-info').html("<span style='color:red;'>已过期或未激活，</span><a href='https://www.gycharm.com/user/order-plugin' target='_blank'>续费或者购买后，</a> <span style='color:red;'>在下面输入框激活！</span>");
                return;
            } else {
                expire_date = expire_date.replace('T00:00:00.000Z', '');
                $('#expire_date').html(expire_date);
                if (util_check_expire(expire_date)) {
                    $('.jihuo').show();
                    $('#expire_date').html("<span style='color:red;'>已过期或未激活</span>");
                    $('#message-account-info').html("<span style='color:red;'>已过期或未激活，</span><a href='https://www.gycharm.com/user/order-plugin' target='_blank'>续费或者购买后，</a> <span style='color:red;'>在下面输入框激活！</span>");
                    return;
                }
            }
            //
            let as_q = $('.form-sns #as_q').val();
            as_q = as_q.trim();
            if(as_q==''){
                alert("关键词不能为空！");
                return false;
            }

            let sns_target_val = $('.form-sns select[name="target"]').val();
            if(sns_target_val==''){
                alert("请选择一个目标！");
                return false;
            }

            let sns_plateform_val = $('.form-sns select[name="plateform"]').val();
            if(sns_plateform_val==''){
                alert("请选择一个渠道！");
                return false;
            }

            let url = '';
            //
            if(sns_target_val == 'target_group'){
                //
                if(sns_plateform_val == 'sns_facebook'){
                    url = 'https://www.facebook.com/search/posts?q='+as_q+'%20%22chat.whatsapp.com%22';
                }else if(sns_plateform_val == 'sns_youtube'){
                    url = 'https://www.youtube.com/results?search_query='+as_q+'+%22chat.whatsapp.com%22';
                }
                //
            }else if(sns_target_val == 'target_num'){
                //
                let country_name_val = $('.form-sns select[name="country_name"]').val();
                if(country_name_val==''){
                    alert("请选择一个国家!");
                    return false;
                }
                let country_code = util_ws_get_country_code(country_name_val);//
                country_code = country_code.replace('+','%2B');
                //
                if(sns_plateform_val == 'sns_facebook'){
                    url = 'https://www.facebook.com/search/posts?q='+as_q+'%20'+country_code;
                }else if(sns_plateform_val == 'sns_youtube'){
                    url = 'https://www.youtube.com/results?search_query='+as_q+'+"'+country_code+'"';
                }
            }
            //
            var bg = chrome.extension.getBackgroundPage();
            let google_sns_keywords = {
                'as_q': as_q,
                'sns_target_val': sns_target_val,
                'sns_plateform_val': sns_plateform_val
            };
            //
            bg.google_sns_keyword_set(google_sns_keywords,function (){
               //
                chrome.tabs.create({ url: url});
                //
            });
            //
        });
        //
    });
}
search();

//
function data_process(){
    //$('#message-info').html('加载中...');
    var bg = chrome.extension.getBackgroundPage();
    //
    bg.get_data_process();
    //
    bg.data_process_get(function (callback_data) {
        //$('#message-info').html('');
        let data_process = callback_data['data_process'];
        let total_add_shangjia_num = 0;
        let has_caiji_geren_num = 0;
        let has_caiji_company_num = 0;
        let total_whatsapp_group = 0;
        let total_whatsapp_num = 0;
        let youtube_total_add_num = 0;
        let youtube_has_caiji_num = 0;

        if(typeof data_process !== 'undefined' ){
            total_add_shangjia_num = data_process['total_add_shangjia_num'];
            has_caiji_geren_num = data_process['has_caiji_geren_num'];
            has_caiji_company_num = data_process['has_caiji_company_num'];
            total_whatsapp_group = data_process['total_whatsapp_group'];
            total_whatsapp_num = data_process['total_whatsapp_num'];
            youtube_total_add_num = data_process['youtube_total_add_num'];
            youtube_has_caiji_num = data_process['youtube_has_caiji_num'];
            //
            //$('#data_process').html("已添加<span>"+total_add_shangjia_num+"</span>个客户,已采集客户个人数据<span>"+has_caiji_geren_num+"</span>个,已采集客户公司数据<span>"+has_caiji_company_num+"</span>个");
            $('#data_process').html("已采集<span>"+total_whatsapp_group+"</span>个whatsapp群组链接,已采集<span>"
                +total_whatsapp_num+"</span>个whatsapp号<br />Youtube已添加<span>"+youtube_total_add_num+"</span>个视频，已采集<span>"+youtube_has_caiji_num+"</span>个");
            //
        }
        //
    });
}
data_process();

setInterval(data_process, 3000);
//
function jihuo(){
    $('#jihuo_btn').click(function (){
        util_check_is_maps_page();
        var jihuo_text = $('#jihuo_text').val();
        jihuo_text = jihuo_text.trim();
        $('#message-info').html('');
        if(jihuo_text==''){
            $('#message-info').html('<span style="color:red;">请输入激活码</span>');
            return;
        }
        //
        // other then GET
        let options = {
            method: 'GET',
            headers: {
                'Content-Type':'application/json;charset=utf-8'
            },
            //body: JSON.stringify(res)
        }
        // Fake api for making post requests
        let fetchRes = fetch( "https://api.gycharm.com/v1/plugin-chkpro/" + jihuo_text);
        fetchRes.then(res =>
            res.json()).then(d => {
                console.log('post response:');
                console.log(d);
                console.log(d['VAL']);
                //
                if (d['VAL'] === "NO_KEY") {
                    $('#message-info').html('<span style="color:red;">激活码不存在!</span>');
                }else if(d['VAL'] == 'HAS_BOUND'){
                    $('#message-info').html('<span style="color:red;">激活码已使用过!</span>');
                }else {
                    var expire_date = d['VAL'];
                    if (util_check_expire(expire_date) == false) {
                        var bg = chrome.extension.getBackgroundPage();
                        bg.plugin_set_expire(expire_date,function (){
                            expire_date = expire_date.replace('T00:00:00.000Z','');
                            $('#expire_date').html(expire_date);
                            $('.jihuo').hide();
                            $('#message-account-info').html('');
                        });
                      //
                    }else{
                        $('.jihuo').show();
                        $('#expire_date').html("<span style='color:red;'>已过期或未激活</span>");
                        $('#message-info').html("<span style='color:red;'>已过期或未激活，</span><a href='https://www.gycharm.com/user/order-plugin' target='_blank'>续费或者购买后，</a> <span style='color:red;'>在下面输入框激活！</span>");
                        return;
                    }
                }
                //
            })
                //
    });
}
jihuo();

function event_sns_target_change(){
    $('#sns_target').change(function (){
        let _sns_target_val = $(this).val();
        if(_sns_target_val == 'target_num'){
            $('#country_name_box').show();
        }else{
            $('#country_name_box').hide();
        }
    });
}
event_sns_target_change();
//

function init(){
    var bg = chrome.extension.getBackgroundPage();
    bg.storage_get(function (callback_data) {
        if(callback_data.hasOwnProperty('pause') && callback_data['pause'] == 1){
            $('#extract-catalog-products-pause').text('采集已暂停,可点击开启');
        }else{
            $('#extract-catalog-products-pause').text('采集已开启,可点击暂停');
        }
        $('#extract-catalog-products-pause').show();
    });
    //
    bg.google_sns_keyword_get(function (callback_data) {
        let google_sns_keywords = callback_data['google_sns_keywords'];
        if (typeof google_sns_keywords !== 'undefined') {
            let as_q_val = google_sns_keywords['as_q'];
            let sns_target_val = google_sns_keywords['sns_target_val'];
            let sns_plateform_val = google_sns_keywords['sns_plateform_val'];

            $('.form-sns #as_q').val(as_q_val);
            $('.form-sns #sns_target').val(sns_target_val);
            $('.form-sns #sns_plateform').val(sns_plateform_val);

            //
            if(sns_target_val == 'target_num'){
                $('#country_name_box').show();
            }else{
                $('#country_name_box').hide();
            }
            //
        }
    });
    //
}
init();


function export_whatsapp_group_member(){
    $('#btn-export-whatsapp-group-member').click(function (){
        $('#message-info').html('<span style="font-size: 12px;">提取需要花费时间，请保持界面不动,处理中...</span>')
        console.log('export-whatsapp-group-member');
        // popup ---> content
        chrome.tabs.query({
            active: true,
            currentWindow: true
        }, (tabs) => {
            let message = {
                action: 'export_whatsapp_group_member',
                info: ''
            }
            chrome.tabs.sendMessage(tabs[0].id, message, res => {
                console.log('popup=>content export_whatsapp_group_member')
                console.log(res)
            })
        })
        //
    });
}

export_whatsapp_group_member();

//从content接收信息
chrome.runtime.onMessage.addListener((req, send, sendRes) => {
    console.log("收到info:", req.info)
    console.log("收到action:", req.action)
    console.log("收到tbm_map_urls:", req.maijia_num)

    if(req.action == 'update-shangjia-num'){
        var catalog_products_num = 0;
        var maijia_num = req.maijia_num;
        $('.catalog-products-num').html(maijia_num);
    }

    if(req.action == 'background-tips'){
        //
        $('#message-info').html("<div style='color:red'>"+req.info+"</div>");
        //
    }

    sendRes("popup已经收到")

  })
//
//
//document.getElementById("opnFacebook").addEventListener('click', function () {
 // chrome.tabs.create({ url: "https://www.facebook.com" });
//})
//
//get columns
function getColumns(paramData){

	var header = [];
	$.each(paramData[0], function (key, value) {
		//console.log(key + '==' + value);
		var obj = {}
		obj["headertext"] = key;
		obj["datatype"] = "string";
		obj["datafield"] = key;
		header.push(obj);
	});
	return header;
}

//
function exportToExcel(data, fileName, sheetName) {
  // Create a new workbook
  var wb = XLSX.utils.book_new();

  // Convert your data to an array of arrays (2D array)
  var wsData = XLSX.utils.json_to_sheet(data);

  // Add the worksheet to the workbook
  XLSX.utils.book_append_sheet(wb, wsData, sheetName);

  // Generate the Excel file and trigger a download
  XLSX.writeFile(wb, fileName + ".xlsx");
}

