// background.js
console.log('我是后台js...');
//
function util_isnumber(val){
    var regPos = /^[0-9]+.?[0-9]*/; //判断是否是数字。
    if(regPos.test(val) ){
        return true;
    }else{
        return false;
    }
}

//从字符串中移除字符(除了数字)
function util_get_num(str = ''){
    let resultString = str.replace(/[^0-9]/g, '');
    resultString = resultString.trim();
    if(util_isnumber(resultString)){
        if(resultString.length >=7){
            return resultString;
        }
    }
    return '';
}

function util_get_websites(str=''){
    // 匹配 URL 的正则表达式
    var urlPattern = /https?:\/\/[-A-Za-z0-9+&@#/%?=~_|!:,.;]*[-A-Za-z0-9+&@#/%=~_|]/g;
    var urls = str.match(urlPattern);
    return urls;
}

function util_checkFanpa(str = ''){
    const searchString = "This item is sold out";
    const regex = new RegExp(searchString);
    const containsString = regex.test(str);
    if(containsString){
        return true;
    } else {
        return false;
    }
}

function util_getscript_ytInitialData_content(html=''){
    // 示例HTML代码
    // 正则表达式匹配<script>标签内容的模式
    var scriptTagPattern = /<script\b[^>]*>([\s\S]*?)<\/script>/gm;
    var matches = html.match(scriptTagPattern);
    if (matches) {
        for (var i = 0; i < matches.length; i++) {
            // 提取<script>标签里的内容
            var scriptContent = matches[i].replace(scriptTagPattern, '$1');
            if(scriptContent.indexOf('var ytInitialData') !=-1){
               return scriptContent;
            }
        }
    }
    return false;
}

function util_check_containsNumber(inputString) {
    var regex = /\d/; // 正则表达式，匹配数字
    return regex.test(inputString);
}

function util_del_character(str = ''){
 return str.replace(/[^0-9+()]/g, '');
}

function util_get_whatsapp_num(str = ''){
    str = str.toLowerCase();
    if(str && (str.indexOf('whatsapp') !=-1 || str.indexOf('+') !=-1) && util_check_containsNumber(str) && str.indexOf('chat.whatsapp') == -1){
        let _str =  util_del_character(str);
        if(_str && _str.indexOf('+')!=-1){
            let _str_arr = _str.split('+');
            let _whatsapp_num = _str_arr[1];
            if(_whatsapp_num.length >=6){
                return _whatsapp_num;
            }
        }
    }
    return '';
}

function plugin_set_expire(expire,callback){
    chrome.storage.local.set({expire: expire}, callback);
}

function plugin_get_expire(callback){
    chrome.storage.local.get('expire', callback);
}

function extractEmails (text) {
    text = text.replaceAll('<b>', '').replaceAll('</b>', '');
    return text.match(/([a-zA-Z0-9._-]+@[a-zA-Z0-9._-]+\.[a-zA-Z0-9._-]+)/gi);
}

function get_emails_filter(emails = []){
    var forbidden_keys = ['1.8.1','.cart', '.index', '.collection',
            '.js', 'template.404','tel:', 'mailto:', '.jpg', '.pdf', '.doc',
            '.xls', '.xlsx', '.png', '.jpeg', '.webp', '.gif', 'javascript:',
            'skype', '#', 'None', '.svg', 'desktop.ts', 'example', 'css', '.studio', 'image', 'jquery', 'swiper', 'myshopline.com',
            'img_', 'xxx.xxx', 'foundation-sites', 'exemple@mail.com', 'exemple@gmail.be', 'exemple@mail.ch', 'john@email.com',
            'your.email@address.com', 'stores@domain.com', 'test@email.com', 'first.last@company.com', 'you@email.com', 'your-email@shopify.com',
            'ada@ada.lt', 'johndoe@domain.com', 'your@email.com', 'jane.smith@email.com', 'abc@xyz.com', 'user@domain.com', 'template.account@template.blog',
            'john@test.com', 'emily@test.com', 'email@domain.com', 'yourname@email.com', 'jill@mail.com', 'joebloggs@email.com', 'abc@abc.abc', 'support@domain.com', 'yellow@hello.com'];
    var domain_emails = [];
    if(emails && emails.length>0){
        for(j=0;j<emails.length;j++){
            var current_email = emails[j];
            current_email = current_email.toLowerCase().trim();
            //把字符串最后一个.移除掉
            if(current_email[current_email.length-1] == '.'){
                current_email = current_email.slice(0,-1);
            }
            //排除有些如 .png
            var is_forbidden = false;
            for(k=0;k<forbidden_keys.length;k++){
                if(current_email.indexOf(forbidden_keys[k])!=-1){
                    is_forbidden = true;
                    break;
                }
            }
            //leaflet@1.8.0
            let current_email_arr = current_email.split('@');
            if(current_email_arr.length > 1){
                let current_a_houzhui = current_email_arr[1];
                let current_a_houzhui_arr = current_a_houzhui.split('.');
                let is_num_shuliang = 0;
                for(let k=0;k<current_a_houzhui_arr.length;k++){
                    if(util_isnumber(current_a_houzhui_arr[k])){
                        is_num_shuliang +=1;
                    }
                }
                if(is_num_shuliang >=2){
                    is_forbidden = true;
                }
            }
            //
            if(!is_forbidden && !domain_emails.includes(current_email)){
                domain_emails.push(current_email);
            }
            //
        }
    }
    return domain_emails;
}

function pause_switch(callback){
    chrome.storage.local.get(null, function(items) {
        //
        let prefix = 'pause';
        if (!items.hasOwnProperty(prefix)) {
            chrome.storage.local.set({pause: 1}, callback);
        }else{
            if(items[prefix] == 1){
                chrome.storage.local.set({pause: 0}, callback);
            }else{
                chrome.storage.local.set({pause: 1}, callback);
            }
        }
    });
}

//
function request_shangjia_company_page_link_ajax(storage_key=''){
    chrome.storage.local.get(null, function(items) {
        let need_item = items[storage_key];
        //
        $.ajax({
            url:need_item['_shangjia_company_page_link'],
            timeout : 5000, //超时时间设置，单位毫秒
            data: {},
            type: 'GET',
            async:true,
            dataType: 'html',
            contentType:'text/html; charset=utf-8',
            crossDomain: true,
            cache: false,
            success: function(data) {
               let _dom = $(data);
               //https://www.facebook.com/saladmaster/about_contact_and_basic_info
                //
                _dom.find('ul.x1e56ztr .xu06os2.x1ok221b span.xzsf02u').each(function (){
                     let _text = $(this).text();
                     _text = _text.replaceAll(' ','');
                     _text = _text.replaceAll('+','');
                     console.log('_text aaa');
                     console.log(_text);
                     if(util_isnumber(_text)){
                         console.log('is number');
                         console.log(_text);
                         need_item['_shangjia_company_phone'] = _text;
                     }else if(_text.indexOf('@') != -1){
                        console.log('email');
                        console.log(_text);
                        need_item['_shangjia_company_email'] = _text;
                     }else if(_text.indexOf('www') != -1 ||_text.indexOf('http') != -1 ){
                        console.log('website');
                        console.log(_text);
                        need_item['_shangjia_company_website'] = _text;
                     }
                     //
               });
                //
                _dom.find('.x9orja2 .x78zum5').each(function (){
                    let _text = $(this).find('span.xvq8zen').text();
                    _text = _text.replaceAll(' ','');
                     _text = _text.replaceAll('+','');
                     if(util_isnumber(_text) && need_item['_shangjia_company_phone'] == ''){
                         console.log('is number');
                         console.log(_text);
                         need_item['_shangjia_company_phone'] = _text;
                     }else if(_text.indexOf('@') != -1 && need_item['_shangjia_company_email'] == ''){
                        console.log('email');
                        console.log(_text);
                        need_item['_shangjia_company_email'] = _text;
                     }else if((_text.indexOf('www') != -1 || _text.indexOf('http') != -1 ) && need_item['_shangjia_company_website'] == ''){
                        console.log('website');
                        console.log(_text);
                        need_item['_shangjia_company_website'] = _text;
                     }
                     //
                });
                //

                need_item['_shangjia_company_is_request'] = 2;
                let obj = {};
                obj[storage_key] = need_item;
                chrome.storage.local.set(obj, function (){
                    //
                    //
                });
                //
            },
            error: function( jqXHR, textStatus, errorThrown ) {
                console.log( jqXHR, textStatus, errorThrown );
                //
                need_item['_shangjia_company_is_request'] = 2;
                need_item['_error'] = errorThrown;
                let obj = {};
                obj[storage_key] = need_item;
                chrome.storage.local.set(obj, function (){
                    //
                    //
                });
                //
            }
        });
        //
    })
}

function request_shangjia_company_page_link(){
    chrome.storage.local.get(null, function(items) {
        //
        let need_item = null;
        for(let key in items){
            if(key.indexOf('shangjia_about_work_and_education_') != -1){
                if(items[key]['_is_request'] == 2 && items[key]['_shangjia_company_is_request'] ==0){
                    need_item = items[key];
                    need_item['_shangjia_company_is_request'] = 1;
                    let obj = {};
                    obj[key] = need_item;
                    chrome.storage.local.set(obj, function (){
                        //
                        request_shangjia_company_page_link_ajax(key);
                        //
                    });
                    break;
                }
            }
        }
        //
    });
}
//
function storage_shangjia_about_work_and_education_link_set(_shangjia_info={}, callback){
    let prefix = 'shangjia_about_work_and_education_'+$.md5(_shangjia_info['_shangjia_id']);
    chrome.storage.local.get(null, function(items) {
        if(!items.hasOwnProperty(prefix)){
            let obj = {};
            obj[prefix] = {
                '_shangjia_id': _shangjia_info['_shangjia_id'],
                '_shangjia_about_work_and_education_link':_shangjia_info['_shangjia_about_work_and_education_link'],
                '_is_request':0,

                '_shangjia_company_page_link': '',
                '_shangjia_company_is_request':0,

                '_shangjia_company_name': '',
                '_shangjia_company_website':'',
                '_shangjia_company_email': '',
                '_shangjia_company_phone':''
            };
            chrome.storage.local.set(obj, callback);
        }
    });

}

function storage_company_shangjia_about_work_and_education_link_set(_shangjia_info={}, callback){
    let prefix = 'shangjia_about_work_and_education_'+$.md5(_shangjia_info['_shangjia_id']);
    chrome.storage.local.get(null, function(items) {
        if(!items.hasOwnProperty(prefix)){
            let _shangjia_company_page_link = _shangjia_info['_shangjia_company_website'];
            if(_shangjia_company_page_link) {
                if (_shangjia_company_page_link.indexOf('profile') != -1) {
                    _shangjia_company_page_link += '&sk=about_contact_and_basic_info'
                } else {
                    if (_shangjia_company_page_link.substr(-1) == '/') {
                        _shangjia_company_page_link += 'about'
                    } else {
                        _shangjia_company_page_link += '/about'
                    }
                }
            }
            let obj = {};
            obj[prefix] = {
                '_shangjia_id': _shangjia_info['_shangjia_id'],
                '_shangjia_about_work_and_education_link':'',
                '_is_request':2,

                '_shangjia_company_page_link': _shangjia_company_page_link,
                '_shangjia_company_is_request':0,

                '_shangjia_company_name': _shangjia_info['_shangjia_company_name'],
                '_shangjia_company_website':'',
                '_shangjia_company_email': '',
                '_shangjia_company_phone':''
            };
            chrome.storage.local.set(obj, callback);
        }
    });

}

function request_shangjia_about_work_and_education_link_ajax(storage_key=''){
    chrome.storage.local.get(null, function(items) {
        let need_item = items[storage_key];
        //
        $.ajax({
            url:need_item['_shangjia_about_work_and_education_link'],
            timeout : 5000, //超时时间设置，单位毫秒
            data: {},
            type: 'GET',
            async:true,
            dataType: 'html',
            contentType:'text/html; charset=utf-8',
            crossDomain: true,
            cache: false,
            success: function(data) {
               let _dom = $(data);
               //https://www.facebook.com/gabriella.obi.77/about_work_and_education
                //
               let _shangjia_company_page_link = _dom.find('.x1gan7if span.xvq8zen a.x1a2a7pz.xt0b8zv').attr('href');
               let _shangjia_company_name = _dom.find('.x1gan7if span.xvq8zen a.x1a2a7pz.xt0b8zv').text();
               if(_shangjia_company_page_link){
                   if(_shangjia_company_page_link.indexOf('profile') != -1){
                        _shangjia_company_page_link +='&sk=about_contact_and_basic_info'
                   }else{
                       if(_shangjia_company_page_link.substr(-1) == '/'){
                           _shangjia_company_page_link +='about'
                       }else{
                            _shangjia_company_page_link +='/about'
                       }
                   }
                   need_item['_shangjia_company_page_link'] = _shangjia_company_page_link;
                   need_item['_shangjia_company_name'] = _shangjia_company_name;
               }else{
                   need_item['_shangjia_company_is_request'] = 2;
               }

                need_item['_is_request'] = 2;
                let obj = {};
                obj[storage_key] = need_item;
                chrome.storage.local.set(obj, function (){
                    //
                    //
                });
                //
            },
            error: function( jqXHR, textStatus, errorThrown ) {
                console.log( jqXHR, textStatus, errorThrown );
                //
                need_item['_is_request'] = 2;
                need_item['_shangjia_company_is_request'] = 2;
                need_item['_error'] = errorThrown;
                let obj = {};
                obj[storage_key] = need_item;
                chrome.storage.local.set(obj, function (){
                    //
                    //
                });
                //
            }
        });
        //
    })
}

function request_shangjia_about_work_and_education_link(){
    chrome.storage.local.get(null, function(items) {
        //
        let need_item = null;
        for(let key in items){
            if(key.indexOf('shangjia_about_work_and_education_') != -1){
                if(items[key]['_is_request'] == 0){
                    need_item = items[key];
                    need_item['_is_request'] = 1;
                    let obj = {};
                    obj[key] = need_item;
                    chrome.storage.local.set(obj, function (){
                        //
                        request_shangjia_about_work_and_education_link_ajax(key);
                        //
                    });
                    break;
                }
            }
        }
        //
    });
}
//
function storage_shangjia_about_contact_and_basic_info_set(_shangjia_info={}, callback){
    let prefix = 'shangjia_about_contact_and_basic_info_'+$.md5(_shangjia_info['_shangjia_id']);
    //
    chrome.storage.local.get(null, function(items) {
        //
        if(!items.hasOwnProperty(prefix)){
            let obj = {};
            obj[prefix] = {
                '_shangjia_id': _shangjia_info['_shangjia_id'],
                '_shangjia_name': _shangjia_info['_shangjia_name'],
                '_shangjia_jiaru_date':_shangjia_info['_shangjia_jiaru_date'],
                '_shangjia_work':_shangjia_info['_shangjia_work'],
                '_shangjia_about_contact_and_basic_info_link':_shangjia_info['_shangjia_about_contact_and_basic_info_link'],
                '_is_request':0,
                '_shangjia_phone':'',
                '_shangjia_website':'',
                '_shangjia_email':'',
                '_shangjia_wechat':'',
                '_shangjia_qq':'',

                '_shangjia_lives_in': '',
                '_shangjia_from': '',
                '_shangjia_followed': 0,
                '_shangjia_friends': 0,
                '_shangjia_likes': 0,
                '_shangjia_intro': ''
            };
            chrome.storage.local.set(obj, callback);
        }
        //
    });
    //
}

function storage_company_shangjia_about_contact_and_basic_info_set(_shangjia_info={}, callback){
    let prefix = 'shangjia_about_contact_and_basic_info_'+$.md5(_shangjia_info['_shangjia_id']);
    //
    chrome.storage.local.get(null, function(items) {
        //
        if(!items.hasOwnProperty(prefix)){
            let obj = {};
            obj[prefix] = {
                '_shangjia_id': _shangjia_info['_shangjia_id'],
                '_shangjia_name': '',
                '_shangjia_jiaru_date':'',
                '_shangjia_work':'',
                '_shangjia_about_contact_and_basic_info_link':'',
                '_is_request':2,
                '_shangjia_phone':'',
                '_shangjia_website':'',
                '_shangjia_email':'',
            };
            chrome.storage.local.set(obj, callback);
        }
        //
    });
    //
}

function request_shangjia_profile_ajax(_shangjia_profile_url=''){
    console.log('_shangjia_profile_url:'+_shangjia_profile_url);
    //
    let _shangjia_profile_info = {
                '_shangjia_lives_in': '',
                '_shangjia_from': '',

                '_shangjia_friends': 0,
                '_shangjia_followed': 0,
                '_shangjia_likes': 0,
                '_shangjia_email':'',
            };
    $.ajax({
        url:_shangjia_profile_url,
        timeout : 5000, //超时时间设置，单位毫秒
        data: {},
        type: 'GET',
        async:false,
        dataType: 'html',
        contentType:'text/html; charset=utf-8',
        crossDomain: true,
        cache: false,
        success: function(data) {
            let _dom = $(data);
            /*
                '_shangjia_lives_in': '',
                '_shangjia_from': '',
                '_shangjia_followed': 0,
                '_shangjia_friends': 0,
                '_shangjia_intro': '',
                '_shangjia_email':''
               */
            _dom.find('.x1l90r2v .x78zum5 .x193iq5w a.x1i10hfl').each(function (){
                let _href = $(this).attr('href');
                if(_href.indexOf('friends') != -1 && _href.indexOf('friends_likes') == -1){
                    let _shangjia_friends = $(this).text();
                    _shangjia_profile_info['_shangjia_friends'] = _shangjia_friends.replace('friends', '').replace('Friends', '');
                }
                if(_href.indexOf('friends_likes') != -1){
                    let _shangjia_friends = $(this).text();
                    _shangjia_profile_info['_shangjia_likes'] = _shangjia_friends.replace('likes', '');
                }
                if(_href.indexOf('followers') != -1){
                    let _shangjia_friends = $(this).text();
                    _shangjia_profile_info['_shangjia_followed'] = _shangjia_friends.replace('followers', '');
                }
            });
            //

            _dom.find('.x10b6aqq.x1yrsyyn ul .x4cne27.xifccgj').each(function (){
                let _text = $(this).text();
                console.log('shangjia_profile item text:'+_text);
                //
                if(_text.indexOf('Lives in') != -1){
                    _shangjia_profile_info['_shangjia_lives_in'] = _text.replace('Lives in','');
                }
                if(_text.indexOf('From') != -1){
                    _shangjia_profile_info['_shangjia_from'] = _text.replace('From', '');
                }
                if(_text.indexOf('Followed by') != -1){
                    _shangjia_profile_info['_shangjia_followed'] = _text.replace('Followed by', '').replace('people', '');
                }
                //
            });
            //
            let _intro = _dom.find("div[data-pagelet='ProfileTilesFeed_0'] .xieb3on .x9f619").eq(0).text();
            if(_intro){
                console.log('_intro');
                console.log(_intro);
                let emails = extractEmails(_intro);
                let domain_emails = get_emails_filter(emails);
                //
                if(domain_emails.length > 0){
                    _shangjia_profile_info['_shangjia_email'] = domain_emails.join(',');
                }
            }
            //
            console.log('_shangjia_profile_info');
            console.log(_shangjia_profile_info);
            //
        },
        error: function( jqXHR, textStatus, errorThrown ) {
            _shangjia_profile_info =  false;
            //
        }
    });
    return _shangjia_profile_info;
    //
}

function request_shangjia_about_contact_and_basic_info_ajax(storage_key=''){
    chrome.storage.local.get(null, function(items) {
        let need_item = items[storage_key];
        //
        $.ajax({
            url:need_item['_shangjia_about_contact_and_basic_info_link'],
            timeout : 5000, //超时时间设置，单位毫秒
            data: {},
            type: 'GET',
            async:true,
            dataType: 'html',
            contentType:'text/html; charset=utf-8',
            crossDomain: true,
            cache: false,
            success: function(data) {
                console.log('about_contact_and_basic_info');
                console.log(need_item['_shangjia_about_contact_and_basic_info_link']);
               let _dom = $(data);
               //contact info
                 console.log('_text about_contact_and_basic_info');
                 let _i = 0;
                _dom.find('.x1iyjqo2 .xyamay9 > .x1gan7if:first .x13faqbe.x78zum5').each(function (){
                    let _j = 0;
                    $(this).find('span').each(function (){
                        let _text = $(this).text();
                        console.log(_text);
                        if(_i ==0 && _j==0){
                            let _shangjia_phone = util_get_num(_text);
                            if(_shangjia_phone){
                                 console.log('is number');
                                 console.log(_shangjia_phone);
                                 need_item['_shangjia_phone'] = _shangjia_phone;
                            }
                        }
                        if(_j==0 && _text.indexOf('@') != -1){
                            need_item['_shangjia_email'] = _text;
                        }
                        _j++;
                    });
                    _i++;
                });
                //Websites and social links
                _dom.find('.x1iyjqo2 .xyamay9 > .x1gan7if:last .x1r8uery.x1iyjqo2').each(function (){
                    let _ahref = $(this).find('a').eq(0).attr('href');
                    if(_ahref && _ahref.indexOf('wa.me')!=-1){
                        need_item['_shangjia_phone'] = $(this).find('a').eq(0).text();
                    }
                    let _text = $(this).text();
                    if(_text.indexOf('Website')!=-1){
                        need_item['_shangjia_website'] = $(this).find('a').eq(0).attr('href');
                    }
                    if(_text.indexOf('WeChat')!=-1){
                        let _j = 0;
                        $(this).find('span').each(function (){
                            let _text2 = $(this).text();
                            console.log(_text2);
                            if(_j==0){
                               need_item['_shangjia_wechat'] = _text2;
                            }
                            _j++;
                        });
                    }
                    if(_text.indexOf('QQ')!=-1){
                        let _j = 0;
                        $(this).find('span').each(function (){
                            let _text2 = $(this).text();
                            console.log(_text2);
                            if(_j==0){
                               need_item['_shangjia_qq'] = _text2;
                            }
                            _j++;
                        });
                    }
                });

                //
               /*_dom.find('.x1iyjqo2 .xyamay9 .x1gan7if span').each(function (){
                     let _text = $(this).text();
                     _text = _text.replaceAll(' ','');
                     _text = _text.replaceAll('+','');
                     console.log('_text about_contact_and_basic_info');
                     console.log(_text);
                     let _shangjia_phone = util_get_num(_text);
                     if(_shangjia_phone){
                         console.log('is number');
                         console.log(_shangjia_phone);
                         need_item['_shangjia_phone'] = _shangjia_phone;
                     }else if(_text.indexOf('@') > -1){
                        console.log('email');
                        console.log(_text);
                        let emails = extractEmails(_text);
                        let domain_emails = get_emails_filter(emails);
                        //
                        if(domain_emails.length > 0){
                            need_item['_shangjia_email'] = domain_emails.join(',');
                        }
                     }else if(_text.indexOf('www') > -1 ||_text.indexOf('http') > -1 ){
                        console.log('website');
                        console.log(_text);
                        let _websites = util_get_websites(_text);
                        if(_websites){
                            need_item['_shangjia_website'] = _websites.join(',');
                        }
                     }
                     //
               });*/
               //
                let _shangjia_profile_url = need_item['_shangjia_about_contact_and_basic_info_link'];
                _shangjia_profile_url = _shangjia_profile_url.replace('&sk=about_contact_and_basic_info', '');
                _shangjia_profile_url = _shangjia_profile_url.replace('?sk=about_contact_and_basic_info', '');
                let _shangjia_profile_res = request_shangjia_profile_ajax(_shangjia_profile_url);
                console.log('_shangjia_profile_res');
                console.log(_shangjia_profile_res);
                if(_shangjia_profile_res == false){
                    need_item['_is_request'] = 0;
                    need_item['_e_time'] = Date.now();
                    let obj = {};
                    obj[storage_key] = need_item;
                    chrome.storage.local.set(obj, function (){
                            //

                            //
                    });
                }else{
                     /*
                '_shangjia_lives_in': '',
                '_shangjia_from': '',
                '_shangjia_followed': 0,
                '_shangjia_friends': 0,
                '_shangjia_intro': ''
               */
                    need_item['_shangjia_lives_in'] = _shangjia_profile_res['_shangjia_lives_in'];
                    need_item['_shangjia_from'] = _shangjia_profile_res['_shangjia_from'];
                    need_item['_shangjia_followed'] = _shangjia_profile_res['_shangjia_followed'];
                    need_item['_shangjia_friends'] = _shangjia_profile_res['_shangjia_friends'];
                    need_item['_shangjia_likes'] = _shangjia_profile_res['_shangjia_likes'];
                    //
                    if(!need_item['_shangjia_email']){
                        need_item['_shangjia_email'] = _shangjia_profile_res['_shangjia_email'];
                    }
                    //
                    need_item['_is_request'] = 2;
                    need_item['_e_time'] = Date.now();
                    let obj = {};
                    obj[storage_key] = need_item;
                    chrome.storage.local.set(obj, function (){
                            //

                            //
                    });
                    //
                }
            },
            error: function( jqXHR, textStatus, errorThrown ) {
                console.log( jqXHR, textStatus, errorThrown );
                //
                need_item['_is_request'] = 2;
                need_item['_error'] = errorThrown;
                let obj = {};
                obj[storage_key] = need_item;
                chrome.storage.local.set(obj, function (){
                        //

                        //
                });
                //
            }
        });
        //
    })
}

function request_shangjia_about_contact_and_basic_info(){
    chrome.storage.local.get(null, function(items) {
        //
        let need_item = null;
        for(let key in items){
            if(key.indexOf('shangjia_about_contact_and_basic_info_') != -1){
                if(items[key]['_is_request'] == 0 || (items[key]['_is_request'] == 1 && items[key]['_s_time'] < (Date.now()-10000))){
                    need_item = items[key];
                    need_item['_is_request'] = 1;
                    need_item['_s_time'] = Date.now();
                    let obj = {};
                    obj[key] = need_item;
                    chrome.storage.local.set(obj, function (){
                        //
                        request_shangjia_about_contact_and_basic_info_ajax(key);
                        //
                    });
                    break;
                }
            }
        }
        //
    });
}

function storage_shangjia_whatsapp_group_info_set(_shangjia_info={}, callback){
    let prefix = 'shangjia_whatsapp_group_info_'+$.md5(_shangjia_info['_shangjia_id']);
    //
    chrome.storage.local.get(null, function(items) {
        //
        if(!items.hasOwnProperty(prefix)){
            let obj = {};
            obj[prefix] = {
                '_shangjia_id': _shangjia_info['_shangjia_id'],
                '_shangjia_url': _shangjia_info['_shangjia_url'],
            };
            chrome.storage.local.set(obj, callback);
        }
        //
    });
    //
}

function storage_shangjia_whatsapp_num_info_set(_shangjia_info={}, callback){
    let prefix = 'shangjia_whatsapp_num_info_'+$.md5(_shangjia_info['num']);
    //
    chrome.storage.local.get(null, function(items) {
        //
        if(!items.hasOwnProperty(prefix)){
            let obj = {};
            obj[prefix] = {
                '_num': _shangjia_info['num'],
                '_url': _shangjia_info['url'],
            };
            chrome.storage.local.set(obj, callback);
        }
        //
    });
    //
}

function xintiao(){
    chrome.storage.local.get(null, function(items) {
         if(items.hasOwnProperty('pause') == false ||items['pause'] == 0){
             console.log('爬取中');
             //request_shangjia_about_contact_and_basic_info();
             //request_shangjia_about_work_and_education_link();
            // request_shangjia_company_page_link();
             youtube_request_shangjia_about_contact_and_basic_info();
         }else{
             console.log('已暂停爬取');
         }
    });


    chrome.storage.local.get(null, function(items) {
        console.log('items');
        console.log(items);
    });

    //let str = '';

    //let _dom = $(str);
    //https://www.facebook.com/gabriella.obi.77/about_work_and_education
    //
    //let _shangjia_company_page_link = _dom.find('.x1gan7if span.xvq8zen a.x1a2a7pz.xt0b8zv').attr('href');
    //console.log(_shangjia_company_page_link);

    //let _shangjia_company_page_name = _dom.find('.x1gan7if span.xvq8zen a.x1a2a7pz.xt0b8zv').text();
    //console.log(_shangjia_company_page_name);
}
xintiao();
setInterval(xintiao, 10000);

function storage_clear(){
    /*plugin_get_expire(function (callback_data){
        let expire_date = callback_data['expire'];
        if(typeof expire_date != 'undefined'){
            chrome.storage.local.clear(function(){
                console.log('remove all');
                plugin_set_expire(expire_date);
            })
        }else{
            chrome.storage.local.clear(function(){
                console.log('remove all');
            })
        }
    });*/
    //
    chrome.storage.local.get(null, function(items) {
        //
        let need_item = null;
        for (let key in items) {
            if (key.indexOf('shangjia_about_contact_and_basic_info_') != -1) {
                // 清空特定值
                chrome.storage.local.remove(key, function() {
                   console.log(`键名 ${key} 的值已被清空！`);
                });
            }
            if (key.indexOf('shangjia_about_work_and_education_') != -1) {
                // 清空特定值
                chrome.storage.local.remove(key, function() {
                   console.log(`键名 ${key} 的值已被清空！`);
                });
            }
            if (key.indexOf('shangjia_whatsapp_group_info_') != -1) {
                // 清空特定值
                chrome.storage.local.remove(key, function() {
                   console.log(`键名 ${key} 的值已被清空！`);
                });
            }
             if (key.indexOf('shangjia_whatsapp_num_info_') != -1) {
                // 清空特定值
                chrome.storage.local.remove(key, function() {
                   console.log(`键名 ${key} 的值已被清空！`);
                });
            }
            if(key == 'shangjias' || key == 'data_process' || key == 'groupinfos'){
                // 清空特定值
                chrome.storage.local.remove(key, function() {
                   console.log(`键名 ${key} 的值已被清空！`);
                });
            }
        }
    });
    //
}
//
function get_data_process(){

    let total_add_shangjia_num = 0;
    let has_caiji_geren_num = 0;
    let has_caiji_company_num = 0;
    let total_whatsapp_group = 0;
    let total_whatsapp_num = 0;
    let youtube_total_add_num = 0;
    let youtube_has_caiji_num = 0;

    chrome.storage.local.get(null, function(items) {
        //
        for(let key in items){
            if(key.indexOf('shangjia_about_contact_and_basic_info_') != -1){
                total_add_shangjia_num += 1;
                if(items[key]['_is_request'] == 2){
                    has_caiji_geren_num += 1;
                }
            }
            if(key.indexOf('shangjia_about_work_and_education_') != -1){
                if(items[key]['_is_request'] == 2 && items[key]['_shangjia_company_is_request'] == 2){
                    has_caiji_company_num += 1;
                }
            }
            //group
            if(key.indexOf('shangjia_whatsapp_group_info_') != -1){
                total_whatsapp_group += 1;
            }
            //whatsapp num
            if(key.indexOf('shangjia_whatsapp_num_info_') != -1){
                total_whatsapp_num += 1;
            }
            //
            if(key.indexOf('youtube_shangjia_about_contact_and_basic_info_') != -1){
                youtube_total_add_num +=1;
                if(items[key]['_is_request'] == 2){
                    youtube_has_caiji_num += 1;
                }
                //
                let _hongren_whatsapp = items[key]['_hongren_whatsapp'];
                _hongren_whatsapp = _hongren_whatsapp.trim();

                let _hongren_whatsapp_group = items[key]['_hongren_whatsapp_group'];
                _hongren_whatsapp_group = _hongren_whatsapp_group.trim();

                if(_hongren_whatsapp !=''){
                    total_whatsapp_num += 1;
                }
                if(_hongren_whatsapp_group !=''){
                    total_whatsapp_group += 1;
                }
            }
            //
        }
        //
        let obj = {};
        obj['data_process'] = {
            'total_add_shangjia_num': total_add_shangjia_num,
            'has_caiji_geren_num': has_caiji_geren_num,
            'has_caiji_company_num': has_caiji_company_num,
            'total_whatsapp_group': total_whatsapp_group,
            'total_whatsapp_num':total_whatsapp_num,
            'youtube_total_add_num':youtube_total_add_num,
            'youtube_has_caiji_num':youtube_has_caiji_num
        }
        chrome.storage.local.set(obj, function (){
            //
            //
        });
        //
    });
}
//
function data_process_get(callback){
     /*chrome.storage.sync.get('domains', (res) => {
        console.log(res);
        return res;
     });*/
    chrome.storage.local.get('data_process', callback);
}

function storage_shangjias_update(shangjia_infos=[]){
    //console.log('storage_shangjias_update a');
    chrome.storage.local.get('shangjias', function(items) {
        //console.log('storage_shangjias_update b');
        //console.log(items);
        if(!items.hasOwnProperty('shangjias')){
            let obj = {};
            let shangjias = [];
            for(let i=0;i<shangjia_infos.length;i++){
                if(!shangjias.includes(shangjia_infos[i]['_shangjia_id'])){
                    shangjias.push(shangjia_infos[i]['_shangjia_id']);
                }
            }
            obj['shangjias'] = shangjias;
            chrome.storage.local.set(obj);
        }else{
            let storage_shangjias = items['shangjias'];

            for(let i=0;i<shangjia_infos.length;i++){
                let is_exists = false;
                for(let j=0;j<storage_shangjias.length;j++){
                    if(shangjia_infos[i]['_shangjia_id'] == storage_shangjias[j]){
                        is_exists = true;
                        break;
                    }
                }
                //
                if(!is_exists){
                    storage_shangjias.push(shangjia_infos[i]['_shangjia_id']);
                }
                //
            }
            //
            let obj = {};
            obj['shangjias'] = storage_shangjias;
            chrome.storage.local.set(obj);
            //
        }
    })
}

function storage_get(callback){
    chrome.storage.local.get(null, callback);
}

function storage_groupinfo_update(groupinfo = {}){
    chrome.storage.local.get('groupinfos', function(items) {
        //console.log('storage_shangjias_update b');
        //console.log(items);
        if(!items.hasOwnProperty('groupinfos')){
            let obj = {};
            let groupinfos = [];
            groupinfos.push(groupinfo);
            obj['groupinfos'] = groupinfos;
            chrome.storage.local.set(obj);
        }else{
            let storage_groupinfos = items['groupinfos'];

            let is_exists = false;
            for(let j=0;j<storage_groupinfos.length;j++){
                if(groupinfo['group_id'] == storage_groupinfos[j]['group_id']){
                    is_exists = true;
                    break;
                }
            }
            //
            if(!is_exists){
                storage_groupinfos.push(groupinfo);
            }
            //
            let obj = {};
            obj['groupinfos'] = storage_groupinfos;
            chrome.storage.local.set(obj);
            //
        }
    })
}

function youtube_storage_shangjia_about_contact_and_basic_info_set(_shangjia_info={}, callback){
    let prefix = 'youtube_shangjia_about_contact_and_basic_info_'+$.md5(_shangjia_info['_shangjia_id']);
    //
    chrome.storage.local.get(null, function(items) {
        //
        if(!items.hasOwnProperty(prefix)){
            let obj = {};
            obj[prefix] = {
                '_shangjia_id': _shangjia_info['_shangjia_id'],
                '_shangjia_name': _shangjia_info['_shangjia_name'],
                '_shangjia_about_contact_and_basic_info_link':_shangjia_info['_shangjia_a_link'],
                '_shangjia_add_time': Date.now(),
                '_is_shorts':_shangjia_info['_is_shorts'],

                '_is_request':0,

                '_hongren_url': _shangjia_info['_hongren_url'],
                '_hongren_name':_shangjia_info['_hongren_name'],

                '_hongren_whatsapp':'',
                '_hongren_whatsapp_group':''
            };
            chrome.storage.local.set(obj, callback);
        }
        //
    });
    //
}

function youtube_request_shangjia_about_contact_and_basic_info_ajax(storage_key=''){
    chrome.storage.local.get(null, function(items) {
        let need_item = items[storage_key];
        //
        $.ajax({
            url:need_item['_shangjia_about_contact_and_basic_info_link'],
            timeout : 5000, //超时时间设置，单位毫秒
            data: {},
            type: 'GET',
            async:true,
            dataType: 'html',
            contentType:'text/html; charset=utf-8',
            crossDomain: true,
            cache: false,
            success: function(data) {
               let _dom = $(data);
               //
               //
               let _mainContent = _dom.find('.mainContent').text();
               let _baseContent = _dom.find('.baseContent').text();
               let _checkContent = _mainContent;
               if(_baseContent){
                   _checkContent += _baseContent;
               }
               if(util_checkFanpa(_checkContent)){
                   //
                    need_item['_is_request'] = 0;
                    need_item['_error'] = '遇到反爬,请开启或者更换代理或者暂停采集，稍后再采集!';
                    let obj = {};
                    obj[storage_key] = need_item;
                    chrome.storage.local.set(obj, function (){
                            //

                            //
                    });
                    sendPopTips("遇到反爬,请开启或者更换代理或者暂停采集，稍后再采集!");
                    //
               }else{
                   //
                   if(need_item['_is_shorts'] ==0){
                       console.log('is watch video');
                       //video
                       let ytInitialData = util_getscript_ytInitialData_content(data);
                       let ytInitialData_json = '';
                       if(ytInitialData){
                           ytInitialData = ytInitialData.replace('var ytInitialData =','');
                           ytInitialData = ytInitialData.trim();
                           ytInitialData = ytInitialData.slice(0, -1);
                           //console.log('ytInitialData');
                           //console.log(ytInitialData);
                           ytInitialData_json = JSON.parse(ytInitialData);
                           console.log(need_item['_shangjia_about_contact_and_basic_info_link']);
                           //console.log('ytInitialData_json');
                           //console.log(ytInitialData_json);
                           //
                           let _videoSecondaryInfoRenderer = ytInitialData_json['contents']['twoColumnWatchNextResults']['results']['results']['contents'][1]['videoSecondaryInfoRenderer'];
                           if(_videoSecondaryInfoRenderer.hasOwnProperty('attributedDescription')){
                               let _description = ytInitialData_json['contents']['twoColumnWatchNextResults']['results']['results']['contents'][1]['videoSecondaryInfoRenderer']['attributedDescription']['content'];
                               //console.log(_description);
                               let _owner = ytInitialData_json['contents']['twoColumnWatchNextResults']['results']['results']['contents'][1]['videoSecondaryInfoRenderer']['owner']['videoOwnerRenderer'];
                               let _description_arr = _description.split("\n");
                               for(let i=0;i<_description_arr.length;i++){
                                   let _desc_item = _description_arr[i];
                                   _desc_item = _desc_item.toLowerCase();
                                   need_item['_hongren_whatsapp'] = util_get_whatsapp_num(_desc_item);
                                   break;
                               }
                               let _websites = util_get_websites(_description);
                               if(_websites){
                                   need_item['_hongren_website'] = _websites.join(',');
                               }
                               //
                               if(_websites && _websites.length > 0){
                                   for(let j=0;j<_websites.length;j++){
                                       if(_websites[j].indexOf('wa.me')!=-1){
                                           if(!need_item['_hongren_whatsapp']){
                                               need_item['_hongren_whatsapp'] = _websites[j].replace('http://wa.me/','');
                                           }
                                       }
                                       //if(_websites[j].indexOf('chat.whatsapp')!=-1){
                                       //    if(!need_item['_hongren_whatsapp_group']){
                                       //        need_item['_hongren_whatsapp_group'] = _websites[j];
                                       //    }
                                       //}
                                   }
                               }
                               //whatsapp group link
                               let _description_commandruns = ytInitialData_json['contents']['twoColumnWatchNextResults']['results']['results']['contents'][1]['videoSecondaryInfoRenderer']['attributedDescription']['commandRuns'];
                               //console.log('_description_commandruns');
                               //console.log(_description_commandruns);
                               if(_description_commandruns){
                                   for(let f=0;f<_description_commandruns.length;f++){
                                        let _url = _description_commandruns[f]['onTap']['innertubeCommand']['commandMetadata']['webCommandMetadata']['url'];
                                        //console.log('_url');
                                        //console.log(_url);
                                        if(_url && _url.indexOf('chat.whatsapp.com') !=-1){
                                            //
                                            let _url_dict = _url.split('&q=');
                                            if(_url_dict.length > 1){
                                                 let _may_whatsapp_group_link =_url_dict[1];
                                                 _may_whatsapp_group_link = decodeURIComponent(_may_whatsapp_group_link);
                                                 if(_may_whatsapp_group_link.indexOf('&v=') != -1){
                                                     let _may_whatsapp_group_link_dict = _may_whatsapp_group_link.split('&v=');
                                                     _may_whatsapp_group_link = _may_whatsapp_group_link_dict[0];
                                                     console.log('whatsapp group link');
                                                     console.log(_may_whatsapp_group_link);
                                                     need_item['_hongren_whatsapp_group'] = _may_whatsapp_group_link;
                                                 }
                                            }

                                            //
                                        }
                                   }
                               }

                               //
                               if(!need_item['_hongren_whatsapp']){
                                   let _shangjia_name = need_item['_shangjia_name'];
                                   _shangjia_name = _shangjia_name.toLowerCase();
                                   need_item['_hongren_whatsapp'] = util_get_whatsapp_num(_shangjia_name);
                               }
                               if(!need_item['_hongren_whatsapp_group']){
                                   let _shangjia_name = need_item['_shangjia_name'];
                                   _shangjia_name = _shangjia_name.toLowerCase();
                                   if(_shangjia_name.indexOf('chat.whatsapp')!=-1){
                                        let _chat_group_arr = util_get_websites(_shangjia_name);
                                        if(_chat_group_arr){
                                           need_item['_hongren_whatsapp_group'] = _chat_group_arr.join(',');
                                        }
                                   }
                               }
                               //
                           }
                           //
                       }
                   }else if(need_item['_is_shorts'] ==1){
                       //shorts
                       console.log('_is_shorts');
                       //video
                       let ytInitialData = util_getscript_ytInitialData_content(data);
                       let ytInitialData_json = '';
                       if (ytInitialData) {
                           ytInitialData = ytInitialData.replace('var ytInitialData =', '');
                           ytInitialData = ytInitialData.trim();
                           ytInitialData = ytInitialData.slice(0, -1);
                           //console.log('ytInitialData');
                           //console.log(ytInitialData);
                           ytInitialData_json = JSON.parse(ytInitialData);
                           console.log(need_item['_shangjia_about_contact_and_basic_info_link']);
                           console.log('ytInitialData_json');
                           console.log(ytInitialData_json);
                           //
                           //need_item['_hongren_fensi'] = ytInitialData_json['header']['c4TabbedHeaderRenderer']['subscriberCountText']['simpleText'];
                           //need_item['_hongren_videos_count'] = ytInitialData_json['header']['c4TabbedHeaderRenderer']['videosCountText']['runs'][0]['text'];
                           //let _tab = ytInitialData_json['contents']['twoColumnBrowseResultsRenderer']['tabs'][6];
                           //if(_tab && _tab.hasOwnProperty('tabRenderer')){
                           //    let _tabRenderer = ytInitialData_json['contents']['twoColumnBrowseResultsRenderer']['tabs'][6]['tabRenderer'];
                           //    if(_tabRenderer.hasOwnProperty('contents')){
                           //        need_item['_hongren_videos_view_count'] = ytInitialData_json['contents']['twoColumnBrowseResultsRenderer']['tabs'][6]['tabRenderer']['content']['sectionListRenderer']['contents'][0]['itemSectionRenderer']['contents'][0]['channelAboutFullMetadataRenderer']['viewCountText']['simpleText'];
                           //    }
                           //}
                           let _description = ytInitialData_json['metadata']['channelMetadataRenderer']['description'];
                           let _description_arr = _description.split("\n");
                           for(let i=0;i<_description_arr.length;i++){
                               let _desc_item = _description_arr[i];
                               _desc_item = _desc_item.toLowerCase();
                               need_item['_hongren_whatsapp'] = util_get_whatsapp_num(_desc_item);
                               break;
                           }
                           let _websites = util_get_websites(_description);
                           if(_websites){
                               need_item['_hongren_website'] = _websites.join(',');
                           }
                           //
                           if(_websites && _websites.length > 0){
                               for(let j=0;j<_websites.length;j++){
                                   if(_websites[j].indexOf('wa.me')!=-1){
                                       if(!need_item['_hongren_whatsapp']){
                                           need_item['_hongren_whatsapp'] = _websites[j].replace('http://wa.me/','');
                                       }
                                   }
                                   if(_websites[j].indexOf('chat.whatsapp')!=-1){
                                       if(!need_item['_hongren_whatsapp_group']){
                                           need_item['_hongren_whatsapp_group'] = _websites[j];
                                       }
                                   }
                               }
                           }
                           //
                           if(!need_item['_hongren_whatsapp']){
                               let _shangjia_name = need_item['_shangjia_name'];
                               console.log(_shangjia_name+': whatsapp num is not exits a1');
                               _shangjia_name = _shangjia_name.toLowerCase();
                               need_item['_hongren_whatsapp'] = util_get_whatsapp_num(_shangjia_name);
                           }
                           if(!need_item['_hongren_whatsapp_group']){
                               let _shangjia_name = need_item['_shangjia_name'];
                               _shangjia_name = _shangjia_name.toLowerCase();
                               if(_shangjia_name.indexOf('chat.whatsapp')!=-1){
                                   let _chat_group_arr = util_get_websites(_shangjia_name);
                                   if(_chat_group_arr){
                                       need_item['_hongren_whatsapp_group'] = _chat_group_arr.join(',');
                                   }
                               }
                           }
                           //
                       }
                        //
                   }
                   //
                   need_item['_is_request'] = 2;
                   need_item['_e_time'] = Date.now();
                   //
                   let obj = {};
                   obj[storage_key] = need_item;
                   chrome.storage.local.set(obj, function (){
                   });
               }
            },
            error: function( jqXHR, textStatus, errorThrown ) {
                console.log( jqXHR, textStatus, errorThrown );
                if(textStatus == 'error'){
                    console.log('jqXhr error:'+jqXHR.responseText);
                    let _dom = $(jqXHR.responseText);
                    let _captcha_form =  _dom.find('#captcha-form');
                    if(_captcha_form){
                       //
                        // 使用正则表达式提取 <title> 标签内容
                        let _verify_url = '';
                        let _titleVal  = '';
                        let _jqXHR_responseText = jqXHR.responseText;
                        let _titleMatch = _jqXHR_responseText.match(/<title>(.*?)<\/title>/i);
                        if (_titleMatch && _titleMatch[1]) {
                          _verify_url = _titleVal = _titleMatch[1];
                        }
                        //
                        need_item['_is_request'] = 0;
                        need_item['_error'] = '遇到反爬,请更换代理或者暂停采集，稍后再采集!或者访问该链接进行人机验证:'+_verify_url;
                        let obj = {};
                        obj[storage_key] = need_item;
                        chrome.storage.local.set(obj, function (){
                                //

                                //
                        });
                        sendPopTips('遇到反爬,请更换代理或者暂停采集，稍后再采集!或者访问该链接进行人机验证:<a href="'+_verify_url+'" target="_blank">访问</a>');
                        //暂停
                        pause_switch(function (){
                        });
                        //
                   }else{
                        //
                        console.log('jqXhr error2:'+jqXHR.responseText);
                        need_item['_is_request'] = 0;
                        need_item['_error'] = errorThrown;
                        let obj = {};
                        obj[storage_key] = need_item;
                        chrome.storage.local.set(obj, function (){
                                //

                                //
                        });
                        //
                        sendPopTips('遇到反爬,请更换代理或者暂停采集，稍后再采集!'+jqXHR.responseText);
                        //
                        //暂停
                        pause_switch(function (){
                        });
                    }
                }
                //
            }
        });
        //
    })
}

function youtube_request_shangjia_about_contact_and_basic_info(){
    chrome.storage.local.get(null, function(items) {
        //
        let need_item = null;
        for(let key in items){
            if(key.indexOf('youtube_shangjia_about_contact_and_basic_info_') > -1){
                if(items[key]['_is_request'] == 0 || (items[key]['_is_request'] == 1 && items[key]['_s_time'] < (Date.now()-10000))){
                    need_item = items[key];
                    need_item['_is_request'] = 1;
                    need_item['_s_time'] = Date.now();
                    let obj = {};
                    obj[key] = need_item;
                    chrome.storage.local.set(obj, function (){
                        //
                        youtube_request_shangjia_about_contact_and_basic_info_ajax(key);
                        //
                    });
                    break;
                }
            }
        }
        //
    });
}

//监听扩展程序进程或内容脚本发送请求的请求
chrome.runtime.onMessage.addListener(
  function (request, sender, sendResponse) {
    if (request.action == 'shangjia_items_update') {
        console.log('action',request,sender,sendResponse);
        //
        let shangjia_infos = request.shangjia_infos;
        //
        //storage_shangjias_update(shangjia_infos);
        //
        for (let i=0;i<shangjia_infos.length;i++){
            //storage_shangjia_about_contact_and_basic_info_set(shangjia_infos[i],function (){

            //});
            //storage_shangjia_about_work_and_education_link_set(shangjia_infos[i], function (){

            //});
        }
        //
        //request {action: "send", keyword: "keyword value"}
        //sender  {id: "agkllkkjbhclhjnlebdbdagkagfgcecj", url: "chrome-extension://agkllkkjbhclhjnlebdbdagkagfgcecj/popup.html", origin: "chrome-extension://agkllkkjbhclhjnlebdbdagkagfgcecj"}
        //sendResponse  ƒ () { [native code] }
        sendResponse({state:'关键词填写成功！'});
    }else if(request.action == 'shangjia_group_info_send'){
        //
        let group_info = request.group_info;
        storage_groupinfo_update(group_info);
        //
    }else if(request.action == 'shangjia_company_items_update'){
        console.log('action',request,sender,sendResponse);
        //
        let shangjia_infos = request.shangjia_infos;
        //
        storage_shangjias_update(shangjia_infos);
        //
        for (let i=0;i<shangjia_infos.length;i++){
            //storage_company_shangjia_about_contact_and_basic_info_set(shangjia_infos[i],function (){

            //});
            //storage_company_shangjia_about_work_and_education_link_set(shangjia_infos[i], function (){

            //});
        }
        //
        //request {action: "send", keyword: "keyword value"}
        //sender  {id: "agkllkkjbhclhjnlebdbdagkagfgcecj", url: "chrome-extension://agkllkkjbhclhjnlebdbdagkagfgcecj/popup.html", origin: "chrome-extension://agkllkkjbhclhjnlebdbdagkagfgcecj"}
        //sendResponse  ƒ () { [native code] }
        sendResponse({state:'关键词填写成功！'});
    }else if(request.action == 'shangjia_whatsapp_group_items_update'){
        //
        console.log('action',request,sender,sendResponse);
        //
        let shangjia_infos = request.shangjia_infos;
        //
        for (let i=0;i<shangjia_infos.length;i++){
            storage_shangjia_whatsapp_group_info_set(shangjia_infos[i],function (){

            });
        }
        //
    }else if(request.action == 'shangjia_whatsapp_num_items_update'){
        //
        console.log('action',request,sender,sendResponse);
        //
        let shangjia_whatsapp_num_infos = request.shangjia_whatsapp_num_infos;
        //
        for (let i=0;i<shangjia_whatsapp_num_infos.length;i++){
            storage_shangjia_whatsapp_num_info_set(shangjia_whatsapp_num_infos[i],function (){

            });
        }
        //
    }else if (request.action == 'shangjia_youtube_items_update') {
        console.log('action',request,sender,sendResponse);
        //
        let shangjia_infos = request.shangjia_infos;
        //
        for (let i=0;i<shangjia_infos.length;i++){
            youtube_storage_shangjia_about_contact_and_basic_info_set(shangjia_infos[i],function (){

            });
        }
        //
        sendResponse({state:'关键词填写成功！'});
    }
  }
);

/**
 * 1.
 * chrome.runtime.onInstalled.addListener(details => {
  console.log('previousVersion', details.previousVersion);
});
2.
 //发送消息
 chrome.runtime.sendMessage({
        action: 'send',
        keyword: 'keyword value'
      }, function (response) {   //接收回调
        console.log(response);  //{state:'关键词填写成功！'}
      });

//监听扩展程序进程或内容脚本发送请求的请求
chrome.runtime.onMessage.addListener(
  function (request, sender, sendResponse) {
    if (request.action == 'send') {
      console.log('action',request,sender,sendResponse);
//  request {action: "send", keyword: "keyword value"}
 //sender  {id: "agkllkkjbhclhjnlebdbdagkagfgcecj", url: "chrome-extension://agkllkkjbhclhjnlebdbdagkagfgcecj/popup.html", origin: "chrome-extension://agkllkkjbhclhjnlebdbdagkagfgcecj"}
//sendResponse  ƒ () { [native code] }
      sendResponse({state:'关键词填写成功！'});
    }
  }
);
 */

function google_sns_keyword_set(values, callback){
    chrome.storage.local.set({google_sns_keywords: values}, callback);
}

function google_sns_keyword_get(callback){
    chrome.storage.local.get('google_sns_keywords', callback);
}

function sendPopTips(msg = ''){
     chrome.runtime.sendMessage({
        action: 'background-tips',
        info: msg
      }, function (response) {   //接收回调
        console.log(response);  //{state:'关键词填写成功！'}
      });
}