function util_get_random_number(min=1000, max=5000){
    return Math.floor(Math.random() * (max - min + 1)) + min;
}

function util_check_containsNumber(inputString) {
    var regex = /\d/; // 正则表达式，匹配数字
    return regex.test(inputString);
}

function util_del_character(str = ''){
 return str.replace(/[^0-9+()]/g, '');
}

function util_get_whatsapp_num(str = ''){
    str = str.toLowerCase();
    if(str && (str.indexOf('whatsapp') !=-1 || str.indexOf('+') !=-1) && util_check_containsNumber(str) && str.indexOf('chat.whatsapp') == -1){
        let _str =  util_del_character(str);
        if(_str && _str.indexOf('+')!=-1){
            let _str_arr = _str.split('+');
            let _whatsapp_num = _str_arr[1];
            if(_whatsapp_num.length >=6){
                return _whatsapp_num;
            }
        }
    }
    return '';
}

function shangjia_group_caiji(){
    console.log('shangjia_group_caiji');
    let current_url = window.location.href;
    if(current_url) {
        if (current_url.indexOf('groups') != -1) {
           //
            var shangjia_infos = [];
            $("div[role='list'] div[role='listitem']").each(function (){
                let _shangjia_name = $(this).find('a.x1s688f').text();
                let _shangjia_group_link = $(this).find('a.x1s688f').attr('href');
                if(_shangjia_group_link){
                    ///groups/697744481424721/user/100008447971540/
                    let _shangjia_group_link_arr = _shangjia_group_link.split('/');
                    let _shangjia_id = _shangjia_group_link_arr[_shangjia_group_link_arr.length-2];
                    let _shangjia_about_work_and_education_link = 'https://www.facebook.com/profile.php?id='+_shangjia_id+'&sk=about_work_and_education';
                    //contact and basic info
                    let _shangjia_about_contact_and_basic_info_link = 'https://www.facebook.com/profile.php?id='+_shangjia_id+'&sk=about_contact_and_basic_info';
                    let _shangjia_jiaru_date = $(this).find('.xu06os2 .x193iq5w .x193iq5w').text();
                    let _shangjia_work = $(this).find('.xu06os2 .x193iq5w.x1pg5gke').text();
                    //
                    //console.log(_shangjia_id);
                    //console.log(_shangjia_name);
                    //console.log(_shangjia_about_work_and_education_link);
                    //console.log(_shangjia_about_contact_and_basic_info_link);
                   // console.log(_shangjia_jiaru_date);
                    //console.log(_shangjia_work);
                    //
                    let _shangjia_info = {
                        '_shangjia_id': _shangjia_id,
                        '_shangjia_name': _shangjia_name,
                        '_shangjia_jiaru_date':_shangjia_jiaru_date,
                        '_shangjia_work':_shangjia_work,

                        '_shangjia_about_contact_and_basic_info_link':_shangjia_about_contact_and_basic_info_link,
                        '_shangjia_about_work_and_education_link':_shangjia_about_work_and_education_link,

                        '_shangjia_phone':'',
                        '_shangjia_website':'',
                        '_shangjia_email':'',

                        '_shangjia_company_page_link': '',
                        '_shangjia_company_is_request':0,
                        '_shangjia_company_name': '',
                        '_shangjia_company_website':'',
                        '_shangjia_company_phone':''
                    };
                    shangjia_infos.push(_shangjia_info);
                    //
                }
                //
                if(shangjia_infos.length == 10){
                    //
                    var message = {
                        action: 'shangjia_items_update',
                        info: '',
                        shangjia_infos: shangjia_infos
                    };
                    send_message_to_popup(message);
                    shangjia_infos = [];
                }
                //
            });
            //
            if(shangjia_infos.length != 10){
                var message = {
                    action: 'shangjia_items_update',
                    info: '',
                    shangjia_infos: shangjia_infos
                };
                send_message_to_popup(message);
            }

        }
    }
}

function shangjia_group_info_send(){
     //
    let current_url = window.location.href;
    if(current_url) {
        if (current_url.indexOf('groups') != -1) {
           //
            let group_name = $('h1.x1heor9g span.x193iq5w a.x1i10hfl').text();
            let group_url  = $('h1.x1heor9g span.x193iq5w a.x1i10hfl').attr('href');
            let group_id = '';
            //
            if(group_url){
                group_id = group_url.replace('https://www.facebook.com/','').replace('groups','').replaceAll('/','');
            }
            //
            if(group_id){
                var message = {
                    action: 'shangjia_group_info_send',
                    info: '',
                    group_info: {
                        'group_id': group_id,
                        'group_name': group_name,
                        'group_url': group_url
                    }
                };
                console.log(message);
                send_message_to_popup(message);
            }
        }
    }

}

function shangjia_friends_caiji(){
    //https://www.facebook.com/profile.php?id=100091248259245&sk=followers
    //friends,followers,following
    //
    let group_url  = $('.x9f619 .x193iq5w a.x1s688f').attr('href');
    console.log('shangjia_group_caiji');
    if(group_url.indexOf('friends') != -1 || group_url.indexOf('followers') != -1 || group_url.indexOf('following') != -1){
        var shangjia_infos = [];
        $(".x1yztbdb .xyamay9 .x1qughib .x6s0dn4").each(function (){
            let _shangjia_name = $(this).find('a.x1i10hfl').text();
            let _shangjia_profile_link = $(this).find('a.x1i10hfl').attr('href');
            let _shangjia_about_work_and_education_link = '';
            let _shangjia_about_contact_and_basic_info_link = '';
            if(_shangjia_profile_link){
                if(_shangjia_profile_link.indexOf('?') != -1){
                    //about_work_and_education
                    _shangjia_about_work_and_education_link = _shangjia_profile_link+'&sk=about_work_and_education';
                    //about: contact and basic info
                    _shangjia_about_contact_and_basic_info_link = _shangjia_profile_link+'&sk=about_contact_and_basic_info';
                    //
                }else{
                    //about_work_and_education
                    _shangjia_about_work_and_education_link = _shangjia_profile_link+'?sk=about_work_and_education';
                    //about: contact and basic info
                    _shangjia_about_contact_and_basic_info_link = _shangjia_profile_link+'?sk=about_contact_and_basic_info';
                    //
                }

                let _shangjia_id = _shangjia_profile_link.replace('https://www.facebook.com/','').replace('profile.php?id=','');
                let _shangjia_jiaru_date = '';
                let _shangjia_work = $(this).find('.x1gslohp .xdj266r').text();
                //
                //console.log(_shangjia_id);
                //console.log(_shangjia_name);
                //console.log(_shangjia_about_work_and_education_link);
                //console.log(_shangjia_about_contact_and_basic_info_link);
                //console.log(_shangjia_jiaru_date);
                //console.log(_shangjia_work);
                //
                let _shangjia_info = {
                    '_shangjia_id': _shangjia_id,
                    '_shangjia_name': _shangjia_name,
                    '_shangjia_jiaru_date':_shangjia_jiaru_date,
                    '_shangjia_work':_shangjia_work,

                    '_shangjia_about_contact_and_basic_info_link':_shangjia_about_contact_and_basic_info_link,
                    '_shangjia_about_work_and_education_link':_shangjia_about_work_and_education_link,

                    '_shangjia_phone':'',
                    '_shangjia_website':'',
                    '_shangjia_email':'',

                    '_shangjia_company_page_link': '',
                    '_shangjia_company_is_request':0,
                    '_shangjia_company_name': '',
                    '_shangjia_company_website':'',
                    '_shangjia_company_phone':''
                };
                shangjia_infos.push(_shangjia_info);
                //
            }
            //
            if(shangjia_infos.length == 10){
                 var message = {
                    action: 'shangjia_items_update',
                    info: '',
                    shangjia_infos: shangjia_infos
                };
                send_message_to_popup(message);
                shangjia_infos = [];
            }
            //
        });
        //
        if(shangjia_infos.length != 10){
            var message = {
                action: 'shangjia_items_update',
                info: '',
                shangjia_infos: shangjia_infos
            };
            send_message_to_popup(message);
        }
        //
    }
}

function shangjia_friends_send(){
     //
    let group_name = $('h1.x1heor9g.x1qlqyl8').text();
    let group_url  = $('.x9f619 .x193iq5w a.x1s688f').attr('href');
    console.log('shangjia_friends_send group_name:'+group_name);
    console.log('shangjia_friends_send group url:'+group_url);
    if(group_url.indexOf('groups') != -1){
        return;
    }
    if(group_url.indexOf('friends') != -1 || group_url.indexOf('followers') != -1 || group_url.indexOf('following') != -1){
        //https://www.facebook.com/profile.php?id=100091999753114&sk=friends
        let group_id = group_url.replace('https://www.facebook.com/profile.php?id=','');
        group_id = group_id.replace('&sk=friends', '').replace('&sk=followers', '').replace('&sk=following', '');
        //
        var message = {
            action: 'shangjia_group_info_send',
            info: '',
            group_info: {
                'group_id': group_id,
                'group_name': group_name,
                'group_url': group_url
            }
        };
        console.log(message);
        send_message_to_popup(message);
    }

}

function shangjia_search_people_caiji(){
    //https://www.facebook.com/profile.php?id=100091248259245&sk=followers
    //friends,followers,following
    console.log('shangjia_search_people_caiji');
    let current_url = window.location.href;
    if(current_url) {
        if (current_url.indexOf('search/people') != -1) {
            var shangjia_infos = [];
            $(".x1t2pt76 .x1xwk8fm .x1yztbdb").each(function (){
                console.log('shangjia_search_people_caiji a1');
                let _shangjia_name = $(this).find('.x1ja2u2z a.x1i10hfl').text();
                let _shangjia_profile_link = $(this).find('.x1ja2u2z a.x1i10hfl').attr('href');
                let _shangjia_about_work_and_education_link = '';
                let _shangjia_about_contact_and_basic_info_link = '';
                if(_shangjia_profile_link){
                    if(_shangjia_profile_link.indexOf('?') != -1){
                        //about_work_and_education
                        _shangjia_about_work_and_education_link = _shangjia_profile_link+'&sk=about_work_and_education';
                        //about: contact and basic info
                        _shangjia_about_contact_and_basic_info_link = _shangjia_profile_link+'&sk=about_contact_and_basic_info';
                        //
                    }else{
                        //about_work_and_education
                        _shangjia_about_work_and_education_link = _shangjia_profile_link+'?sk=about_work_and_education';
                        //about: contact and basic info
                        _shangjia_about_contact_and_basic_info_link = _shangjia_profile_link+'?sk=about_contact_and_basic_info';
                        //
                    }

                    //
                    let _shangjia_id = _shangjia_profile_link.replace('https://www.facebook.com/','').replace('profile.php?id=','');
                    let _shangjia_jiaru_date = '';
                    let _shangjia_work = $(this).find('.x1ok221b .x193iq5w').text();
                    //
                    //console.log(_shangjia_id);
                    //console.log(_shangjia_name);
                    //console.log(_shangjia_about_work_and_education_link);
                    //console.log(_shangjia_about_contact_and_basic_info_link);
                    //console.log(_shangjia_jiaru_date);
                    //console.log(_shangjia_work);
                    //
                    let _shangjia_info = {
                        '_shangjia_id': _shangjia_id,
                        '_shangjia_name': _shangjia_name,
                        '_shangjia_jiaru_date':_shangjia_jiaru_date,
                        '_shangjia_work':_shangjia_work,

                        '_shangjia_about_contact_and_basic_info_link':_shangjia_about_contact_and_basic_info_link,
                        '_shangjia_about_work_and_education_link':_shangjia_about_work_and_education_link,

                        '_shangjia_phone':'',
                        '_shangjia_website':'',
                        '_shangjia_email':'',

                        '_shangjia_company_page_link': '',
                        '_shangjia_company_is_request':0,
                        '_shangjia_company_name': '',
                        '_shangjia_company_website':'',
                        '_shangjia_company_phone':''
                    };
                    console.log('shangjia_search_people_caiji _shangjia_info');
                    console.log(_shangjia_info);
                    shangjia_infos.push(_shangjia_info);
                    //
                }
                //
                if(shangjia_infos.length == 10){
                    var message = {
                        action: 'shangjia_items_update',
                        info: '',
                        shangjia_infos: shangjia_infos
                    };
                    send_message_to_popup(message);
                    shangjia_infos = [];
                }
                //
            });
            //
            if(shangjia_infos.length != 10){
                var message = {
                    action: 'shangjia_items_update',
                    info: '',
                    shangjia_infos: shangjia_infos
                };
                send_message_to_popup(message);
            }
            //
        }
    }
}

function shangjia_search_pages_caiji(){
    //https://www.facebook.com/profile.php?id=100091248259245&sk=followers
    //friends,followers,following
    console.log('shangjia_search_pages_caiji');
    let current_url = window.location.href;
    if(current_url) {
        if (current_url.indexOf('search/pages') != -1) {
            var shangjia_infos = [];
            $(".x1xfsgkm .x1xwk8fm .x1yztbdb").each(function (){
                let _shangjia_company_name = $(this).find('.x1ja2u2z a.x1i10hfl').text();
                let _shangjia_company_website = $(this).find('.x1ja2u2z a.x1i10hfl').attr('href');
                if(_shangjia_company_website){
                    let _shangjia_id = _shangjia_company_website.replace('https://www.facebook.com/','')
                        .replace('profile.php?id=','').replace('/','');

                    let _shangjia_jiaru_date = '';
                    let _shangjia_work = $(this).find('.x1ok221b .x193iq5w').text();
                    //
                    //console.log(_shangjia_id);
                    //console.log(_shangjia_name);
                    //console.log(_shangjia_about_work_and_education_link);
                    //console.log(_shangjia_about_contact_and_basic_info_link);
                    //console.log(_shangjia_jiaru_date);
                    //console.log(_shangjia_work);
                    //
                    let _shangjia_info = {
                        '_shangjia_id': _shangjia_id,
                        '_shangjia_company_name': _shangjia_company_name,
                        '_shangjia_company_website':_shangjia_company_website,
                    };
                    console.log('shangjia_search_pages_caiji _shangjia_info');
                    console.log(_shangjia_info);
                    shangjia_infos.push(_shangjia_info);
                    //
                }
                //
                if(shangjia_infos.length == 10){
                    var message = {
                        action: 'shangjia_company_items_update',
                        info: '',
                        shangjia_infos: shangjia_infos
                    };
                    send_message_to_popup(message);
                    shangjia_infos = [];
                }
                //
            });
            //
             if(shangjia_infos.length != 10) {
                 var message = {
                     action: 'shangjia_company_items_update',
                     info: '',
                     shangjia_infos: shangjia_infos
                 };
                 send_message_to_popup(message);
             }
        }
    }
}

function shangjia_search_places_caiji(){
    //https://www.facebook.com/profile.php?id=100091248259245&sk=followers
    //friends,followers,following
    console.log('shangjia_search_places_caiji');
    let current_url = window.location.href;
    if(current_url) {
        if (current_url.indexOf('search/places') != -1) {
            var shangjia_infos = [];
            $(".x1xfsgkm .x1xwk8fm .x1yztbdb").each(function (){
                let _shangjia_company_name = $(this).find('.x1ja2u2z a.x1i10hfl').text();
                let _shangjia_company_website = $(this).find('.x1ja2u2z a.x1i10hfl').attr('href');
                if(_shangjia_company_website){
                    let _shangjia_id = _shangjia_company_website.replace('https://www.facebook.com/','')
                        .replace('profile.php?id=','').replace('/','');

                    let _shangjia_jiaru_date = '';
                    let _shangjia_work = $(this).find('.x1ok221b .x193iq5w').text();
                    //
                    //console.log(_shangjia_id);
                    //console.log(_shangjia_name);
                    //console.log(_shangjia_about_work_and_education_link);
                    //console.log(_shangjia_about_contact_and_basic_info_link);
                    //console.log(_shangjia_jiaru_date);
                    //console.log(_shangjia_work);
                    //
                    let _shangjia_info = {
                        '_shangjia_id': _shangjia_id,
                        '_shangjia_company_name': _shangjia_company_name,
                        '_shangjia_company_website':_shangjia_company_website,
                    };
                    shangjia_infos.push(_shangjia_info);
                    //
                }
                //
                if(shangjia_infos.length == 10){
                    var message = {
                        action: 'shangjia_company_items_update',
                        info: '',
                        shangjia_infos: shangjia_infos
                    };
                    send_message_to_popup(message);
                    shangjia_infos = [];
                }
                //
            });
            //
            if(shangjia_infos.length != 10){
                 var message = {
                    action: 'shangjia_company_items_update',
                    info: '',
                    shangjia_infos: shangjia_infos
                };
                send_message_to_popup(message);
            }
            //
        }
    }
}

//video 点赞,watch like
function shangjia_video_like_people_caiji(){
    //https://www.facebook.com/profile.php?id=100091248259245&sk=followers
    //friends,followers,following
    console.log('shangjia_video_like_people_caiji');
    let current_url = window.location.href;
    if(current_url) {
        if (current_url.indexOf('videos') != -1 || current_url.indexOf('watch') != -1) {
            var shangjia_infos = [];
            $(".x78zum5 div[data-visualcompletion='ignore-dynamic']").each(function (){
                console.log('shangjia_video_like_people_caiji a1');
                let _shangjia_name = $(this).find('.x1rg5ohu a.x1i10hfl').text();
                let _shangjia_profile_link = $(this).find('.x1rg5ohu a.x1i10hfl').attr('href');
                let _shangjia_about_work_and_education_link = '';
                let _shangjia_about_contact_and_basic_info_link = '';
                if(_shangjia_profile_link){
                    if(_shangjia_profile_link.indexOf('?') != -1){
                        //about_work_and_education
                        _shangjia_about_work_and_education_link = _shangjia_profile_link+'&sk=about_work_and_education';
                        //about: contact and basic info
                        _shangjia_about_contact_and_basic_info_link = _shangjia_profile_link+'&sk=about_contact_and_basic_info';
                        //
                    }else{
                        //about_work_and_education
                        _shangjia_about_work_and_education_link = _shangjia_profile_link+'?sk=about_work_and_education';
                        //about: contact and basic info
                        _shangjia_about_contact_and_basic_info_link = _shangjia_profile_link+'?sk=about_contact_and_basic_info';
                        //
                    }

                    //
                    let _shangjia_id = _shangjia_profile_link.replace('https://www.facebook.com/','').replace('profile.php?id=','');
                    let _shangjia_jiaru_date = '';
                    let _shangjia_work =  '';
                    //
                    //console.log(_shangjia_id);
                    //console.log(_shangjia_name);
                    //console.log(_shangjia_about_work_and_education_link);
                    //console.log(_shangjia_about_contact_and_basic_info_link);
                    //console.log(_shangjia_jiaru_date);
                    //console.log(_shangjia_work);
                    //
                    let _shangjia_info = {
                        '_shangjia_id': _shangjia_id,
                        '_shangjia_name': _shangjia_name,
                        '_shangjia_jiaru_date':_shangjia_jiaru_date,
                        '_shangjia_work':_shangjia_work,

                        '_shangjia_about_contact_and_basic_info_link':_shangjia_about_contact_and_basic_info_link,
                        '_shangjia_about_work_and_education_link':_shangjia_about_work_and_education_link,

                        '_shangjia_phone':'',
                        '_shangjia_website':'',
                        '_shangjia_email':'',

                        '_shangjia_company_page_link': '',
                        '_shangjia_company_is_request':0,
                        '_shangjia_company_name': '',
                        '_shangjia_company_website':'',
                        '_shangjia_company_phone':''
                    };
                    console.log('shangjia_video_like_people_caiji _shangjia_info');
                    console.log(_shangjia_info);
                    shangjia_infos.push(_shangjia_info);
                    //
                }
                //
                if(shangjia_infos.length == 10){
                    var message = {
                        action: 'shangjia_items_update',
                        info: '',
                        shangjia_infos: shangjia_infos
                    };
                    send_message_to_popup(message);
                    shangjia_infos = [];
                }
                //
            });
            //
            if(shangjia_infos.length != 10){
                var message = {
                    action: 'shangjia_items_update',
                    info: '',
                    shangjia_infos: shangjia_infos
                };
                send_message_to_popup(message);
            }
            //
        }
    }
}
//视频评论
function shangjia_video_comment_people_caiji(){
    //https://www.facebook.com/profile.php?id=100091248259245&sk=followers
    //friends,followers,following
    console.log('shangjia_video_comment_people_caiji');
    let current_url = window.location.href;
    if(current_url) {
        if (current_url.indexOf('videos') != -1 || current_url.indexOf('watch') != -1) {
            var shangjia_infos = [];
            $(".x1jx94hy ul li").each(function (){
                console.log('shangjia_video_comment_people_caiji a1');
                let _shangjia_name = $(this).find('.x1y1aw1k .xt0psk2 a.x1i10hfl').text();
                let _shangjia_profile_link = $(this).find('.x1y1aw1k .xt0psk2 a.x1i10hfl').attr('href');
                //
                if(_shangjia_profile_link){
                    if(_shangjia_profile_link.indexOf('profile.php') !=-1){
                        let _shangjia_profile_link_arr = _shangjia_profile_link.split('&');
                        _shangjia_profile_link = _shangjia_profile_link_arr[0];
                    }else{
                        let _shangjia_profile_link_arr = _shangjia_profile_link.split('?');
                        _shangjia_profile_link = _shangjia_profile_link_arr[0];
                    }
                    //
                    let _shangjia_about_work_and_education_link = '';
                    let _shangjia_about_contact_and_basic_info_link = '';
                    if(_shangjia_profile_link){
                        if(_shangjia_profile_link.indexOf('?') != -1){
                            //about_work_and_education
                            _shangjia_about_work_and_education_link = _shangjia_profile_link+'&sk=about_work_and_education';
                            //about: contact and basic info
                            _shangjia_about_contact_and_basic_info_link = _shangjia_profile_link+'&sk=about_contact_and_basic_info';
                            //
                        }else{
                            //about_work_and_education
                            _shangjia_about_work_and_education_link = _shangjia_profile_link+'?sk=about_work_and_education';
                            //about: contact and basic info
                            _shangjia_about_contact_and_basic_info_link = _shangjia_profile_link+'?sk=about_contact_and_basic_info';
                            //
                        }
                        //
                        let _shangjia_id = _shangjia_profile_link.replace('https://www.facebook.com/','').replace('profile.php?id=','');
                        let _shangjia_jiaru_date = '';
                        let _shangjia_work =  '';
                        //
                        //console.log(_shangjia_id);
                        //console.log(_shangjia_name);
                        //console.log(_shangjia_about_work_and_education_link);
                        //console.log(_shangjia_about_contact_and_basic_info_link);
                        //console.log(_shangjia_jiaru_date);
                        //console.log(_shangjia_work);
                        //
                        let _shangjia_info = {
                            '_shangjia_id': _shangjia_id,
                            '_shangjia_name': _shangjia_name,
                            '_shangjia_jiaru_date':_shangjia_jiaru_date,
                            '_shangjia_work':_shangjia_work,

                            '_shangjia_about_contact_and_basic_info_link':_shangjia_about_contact_and_basic_info_link,
                            '_shangjia_about_work_and_education_link':_shangjia_about_work_and_education_link,

                            '_shangjia_phone':'',
                            '_shangjia_website':'',
                            '_shangjia_email':'',

                            '_shangjia_company_page_link': '',
                            '_shangjia_company_is_request':0,
                            '_shangjia_company_name': '',
                            '_shangjia_company_website':'',
                            '_shangjia_company_phone':''
                        };
                        console.log('shangjia_video_comment_people_caiji _shangjia_info');
                        console.log(_shangjia_info);
                        shangjia_infos.push(_shangjia_info);
                        //
                    }
                    //
                    if(shangjia_infos.length == 10){
                        var message = {
                            action: 'shangjia_items_update',
                            info: '',
                            shangjia_infos: shangjia_infos
                        };
                        send_message_to_popup(message);
                        shangjia_infos = [];
                    }
                    //
                }

            });
            //
            if(shangjia_infos.length != 10){
                var message = {
                    action: 'shangjia_items_update',
                    info: '',
                    shangjia_infos: shangjia_infos
                };
                send_message_to_popup(message);
            }
            //
        }
    }
}

//shangjia_search_posts
function shangjia_search_posts(){
    let current_url = window.location.href;
    if(current_url && current_url.indexOf('search/posts') !=-1) {
        console.log('shangjia_search_posts start');
        let event_list = [];
        $(".x193iq5w.x1xwk8fm[role='feed'] > div").each(function (){
            //
            console.log('bbbb');
            let _see_more = $(this).find("div[dir='auto'] div.x1i10hfl[role='button']").text();
            if(_see_more){
                //$(this).find("div[dir='auto'] div.x1i10hfl[role='button']").click();
                let _see_more_hander = $(this).find("div[dir='auto'] div.x1i10hfl[role='button']");
                event_list.push(_see_more_hander);
            }
            //
        });
        //
        console.log('event_list');
        console.log(event_list);
        for(let _e=0;_e<event_list.length;_e++){
            if(event_list[_e]){
                setTimeout(function() {
                  //
                    //console.log(event_list[_e].text()+' need click'+Date.now());
                    event_list[_e].click();
                    //
                }, util_get_random_number(1000,5000));
            }
        }
        //
        var shangjia_infos = [];
        var shangjia_whatsapp_num_infos = [];
        $(".x193iq5w.x1xwk8fm[role='feed'] > div").each(function (){
            //
            let _post = $(this).find("div[data-ad-comet-preview='message']").html();
            let _post_url = 'https://www.facebook.com'+$(this).find("h3 a").attr('href');
            console.log(_post_url);
            //console.log(_post);
            if(_post){
                $(this).find("div[data-ad-comet-preview='message']").find('a').each(function (){
                    let _a_href = $(this).attr('href');
                    if(_a_href && _a_href.indexOf('chat.whatsapp.com') !=-1){
                        let _group_link  = $(this).text();
                        if(_group_link.indexOf('chat.whatsapp.com') == -1){
                            _group_link = _a_href;
                        }
                        shangjia_infos.push({
                            '_shangjia_id': _group_link,
                            '_shangjia_url': _post_url
                        });
                    }
                });
            }
            //
            if(shangjia_infos.length == 10){
                //
                var message = {
                    action: 'shangjia_whatsapp_group_items_update',
                    info: '',
                    shangjia_infos: shangjia_infos
                };
                send_message_to_popup(message);
                shangjia_infos = [];
            }

            //whatsapp num
            if(_post) {
                $(this).find("div[data-ad-comet-preview='message'] div[dir='auto']").each(function () {
                    let _row_text = $(this).text();
                    if (_row_text) {
                        _row_text = _row_text.toLowerCase();
                        console.log(_row_text);
                        let _whatsapp_num = util_get_whatsapp_num(_row_text);
                        if (_whatsapp_num) {
                            console.log('_whatsapp_num:'+_whatsapp_num);
                            shangjia_whatsapp_num_infos.push({
                                'num': _whatsapp_num,
                                'url': _post_url
                            });
                        }
                    }
                });
            }
            //
            if(shangjia_whatsapp_num_infos.length == 10){
                //
                var message = {
                    action: 'shangjia_whatsapp_num_items_update',
                    info: '',
                    shangjia_whatsapp_num_infos: shangjia_whatsapp_num_infos
                };
                send_message_to_popup(message);
                shangjia_whatsapp_num_infos = [];
            }
            //
        });
        //
        var message = {
            action: 'shangjia_whatsapp_group_items_update',
            info: '',
            shangjia_infos: shangjia_infos
        };
        send_message_to_popup(message);
        //
        message = {
            action: 'shangjia_whatsapp_num_items_update',
            info: '',
            shangjia_whatsapp_num_infos: shangjia_whatsapp_num_infos
        };
        send_message_to_popup(message);
        //
    }
}
//个人页post
function shangjia_profile_posts(){
    let current_url = window.location.href;
    console.log('shangjia_profile_posts start');
    let event_list = [];
    $("div[data-pagelet='ProfileTimeline'] > div").each(function (){
        //
        console.log('ccc');
        let _see_more = $(this).find("div[dir='auto'] div.x1i10hfl[role='button']").text();
        if(_see_more){
            //$(this).find("div[dir='auto'] div.x1i10hfl[role='button']").click();
            let _see_more_hander = $(this).find("div[dir='auto'] div.x1i10hfl[role='button']");
            event_list.push(_see_more_hander);
        }
            //
    });
     //
    console.log('event_list');
    console.log(event_list);
    for(let _e=0;_e<event_list.length;_e++){
        if(event_list[_e]){
            setTimeout(function() {
                //
                //console.log(event_list[_e].text()+' need click'+Date.now());
                event_list[_e].click();
                //
            }, util_get_random_number(1000,5000));
        }
    }
    //
    //
    var shangjia_infos = [];
    var shangjia_whatsapp_num_infos = [];
    $("div[data-pagelet='ProfileTimeline'] > div").each(function (){
            //
        let _post = $(this).find("div[data-ad-comet-preview='message']").html();
        if(typeof _post == 'undefined'){
            _post = $(this).find("blockquote").html();
        }
        let _post_url = $(this).find("h2 a").attr('href');
        if(_post_url && _post_url.indexOf('www.facebook.com') == -1){
            _post_url = 'https://www.facebook.com'+_post_url;
        }
        console.log(_post_url);
        //console.log(_post);
        if(_post_url && _post){
            $(this).find("div[data-ad-comet-preview='message']").find('a').each(function (){
                let _a_href = $(this).attr('href');
                if(_a_href && _a_href.indexOf('chat.whatsapp.com') !=-1){
                    let _group_link  = $(this).text();
                    if(_group_link.indexOf('chat.whatsapp.com') == -1){
                        _group_link = _a_href;
                    }
                    shangjia_infos.push({
                        '_shangjia_id': _group_link,
                        '_shangjia_url': _post_url
                    });
                }
            });
            $(this).find("blockquote").find('a').each(function (){
                let _a_href = $(this).attr('href');
                if(_a_href && _a_href.indexOf('chat.whatsapp.com') !=-1){
                    let _group_link  = $(this).text();
                    if(_group_link.indexOf('chat.whatsapp.com') == -1){
                        _group_link = _a_href;
                    }
                    shangjia_infos.push({
                        '_shangjia_id': _group_link,
                        '_shangjia_url': _post_url
                    });
                }
            });
        }
        //
        if(shangjia_infos.length == 10){
            //
            var message = {
                action: 'shangjia_whatsapp_group_items_update',
                info: '',
                shangjia_infos: shangjia_infos
            };
            send_message_to_popup(message);
            shangjia_infos = [];
        }
        //whatsapp num
        if(_post_url && _post) {
            $(this).find("div[data-ad-comet-preview='message'] div[dir='auto']").each(function () {
                let _row_text = $(this).text();
                if (_row_text) {
                    _row_text = _row_text.toLowerCase();
                    console.log(_row_text);
                    let _whatsapp_num = util_get_whatsapp_num(_row_text);
                    if (_whatsapp_num) {
                        console.log('_whatsapp_num:'+_whatsapp_num);
                        shangjia_whatsapp_num_infos.push({
                            'num': _whatsapp_num,
                            'url': _post_url
                        });
                    }
                }
            });
            $(this).find("blockquote div[dir='auto']").each(function (){
                let _row_text = $(this).text();
                if (_row_text) {
                    _row_text = _row_text.toLowerCase();
                    console.log(_row_text);
                    let _whatsapp_num = util_get_whatsapp_num(_row_text);
                    if (_whatsapp_num) {
                        console.log('_whatsapp_num:'+_whatsapp_num);
                        shangjia_whatsapp_num_infos.push({
                            'num': _whatsapp_num,
                            'url': _post_url
                        });
                    }
                }
            });
        }
        //
        if(shangjia_whatsapp_num_infos.length == 10){
            //
            var message = {
                action: 'shangjia_whatsapp_num_items_update',
                info: '',
                shangjia_whatsapp_num_infos: shangjia_whatsapp_num_infos
            };
            send_message_to_popup(message);
            shangjia_whatsapp_num_infos = [];
        }
        //
    });
    //whatsapp group
    var message = {
        action: 'shangjia_whatsapp_group_items_update',
        info: '',
        shangjia_infos: shangjia_infos
    };
    send_message_to_popup(message);
    //whatsapp num
    message = {
        action: 'shangjia_whatsapp_num_items_update',
        info: '',
        shangjia_whatsapp_num_infos: shangjia_whatsapp_num_infos
    };
    send_message_to_popup(message);
}
//group search页
function shangjia_group_search_posts(){
    console.log('shangjia_group_search_posts start');
    let current_url = window.location.href;
    if(current_url && current_url.indexOf('groups') !=-1 && current_url.indexOf('search') !=-1) {
        //
        let event_list = [];
        $("div[role='main'] div[role='feed'] > div").each(function (){
            //
            console.log('sgsp');
            let _see_more = $(this).find("div[dir='auto'] div.x1i10hfl[role='button']").text();
            if(_see_more){
                //$(this).find("div[dir='auto'] div.x1i10hfl[role='button']").click();
                let _see_more_hander = $(this).find("div[dir='auto'] div.x1i10hfl[role='button']");
                event_list.push(_see_more_hander);
            }
            //
        });
        //
        console.log('event_list');
        console.log(event_list);
        for(let _e=0;_e<event_list.length;_e++){
            if(event_list[_e]){
                setTimeout(function() {
                    //
                    //console.log(event_list[_e].text()+' need click'+Date.now());
                    event_list[_e].click();
                    //
                }, util_get_random_number(1000,5000));
            }
        }
        //
        //
        var shangjia_infos = [];
        var shangjia_whatsapp_num_infos = [];
        $("div[role='main'] div[role='feed'] > div").each(function (){
            //
            let _post = $(this).find("div[data-ad-comet-preview='message']").html();
            if(typeof _post == 'undefined'){
                _post = $(this).find("blockquote").html();
            }
            let _post_url = $(this).find("h3 a").attr('href');
            if(_post_url && _post_url.indexOf('www.facebook.com') == -1){
                _post_url = 'https://www.facebook.com'+_post_url;
            }
            console.log(_post_url);
            //console.log(_post);
            if(_post_url && _post){
                $(this).find("div[data-ad-comet-preview='message']").find('a').each(function (){
                    let _a_href = $(this).attr('href');
                    if(_a_href && _a_href.indexOf('chat.whatsapp.com') !=-1){
                        let _group_link  = $(this).text();
                        if(_group_link.indexOf('chat.whatsapp.com') == -1){
                            _group_link = _a_href;
                        }
                        shangjia_infos.push({
                            '_shangjia_id': _group_link,
                            '_shangjia_url': _post_url
                        });
                    }
                });
                $(this).find("blockquote").find('a').each(function (){
                    let _a_href = $(this).attr('href');
                    if(_a_href && _a_href.indexOf('chat.whatsapp.com') !=-1){
                        let _group_link  = $(this).text();
                        if(_group_link.indexOf('chat.whatsapp.com') == -1){
                            _group_link = _a_href;
                        }
                        shangjia_infos.push({
                            '_shangjia_id': _group_link,
                            '_shangjia_url': _post_url
                        });
                    }
                });
            }
            //
            //
            if(shangjia_infos.length == 10){
                //
                var message = {
                    action: 'shangjia_whatsapp_group_items_update',
                    info: '',
                    shangjia_infos: shangjia_infos
                };
                send_message_to_popup(message);
                shangjia_infos = [];
            }
            //
            //
            //whatsapp num
            if(_post_url && _post) {
                $(this).find("div[data-ad-comet-preview='message'] div[dir='auto']").each(function () {
                    let _row_text = $(this).text();
                    if (_row_text) {
                        _row_text = _row_text.toLowerCase();
                        console.log(_row_text);
                        let _whatsapp_num = util_get_whatsapp_num(_row_text);
                        if (_whatsapp_num) {
                            console.log('_whatsapp_num:'+_whatsapp_num);
                            shangjia_whatsapp_num_infos.push({
                                'num': _whatsapp_num,
                                'url': _post_url
                            });
                        }
                    }
                });
                $(this).find("blockquote div[dir='auto']").each(function (){
                    let _row_text = $(this).text();
                    if (_row_text) {
                        _row_text = _row_text.toLowerCase();
                        console.log(_row_text);
                        let _whatsapp_num = util_get_whatsapp_num(_row_text);
                        if (_whatsapp_num) {
                            console.log('_whatsapp_num:'+_whatsapp_num);
                            shangjia_whatsapp_num_infos.push({
                                'num': _whatsapp_num,
                                'url': _post_url
                            });
                        }
                    }
                });
            }
            //
            if(shangjia_whatsapp_num_infos.length == 10){
                //
                var message = {
                    action: 'shangjia_whatsapp_num_items_update',
                    info: '',
                    shangjia_whatsapp_num_infos: shangjia_whatsapp_num_infos
                };
                send_message_to_popup(message);
                shangjia_whatsapp_num_infos = [];
            }
            //
            //
        });
        //whatsapp group link
        var message = {
            action: 'shangjia_whatsapp_group_items_update',
            info: '',
            shangjia_infos: shangjia_infos
        };
        send_message_to_popup(message);
        //whatsapp num
        message = {
            action: 'shangjia_whatsapp_num_items_update',
            info: '',
            shangjia_whatsapp_num_infos: shangjia_whatsapp_num_infos
        };
        send_message_to_popup(message);
        //
    }
}
//post中的post评论
function shangjia_search_posts_review(){
    let current_url = window.location.href;
    if(current_url) {
        console.log('shangjia_search_posts_review start');
        //
        var shangjia_infos = [];
        let _post_url = current_url;
        //reel:div[role='complementary'] li
        //watch:
        $("div[role='complementary'] li,.x1jx94hy .x1n2onr6 li").each(function (){
            //
            console.log('complementary li');
            $(this).find('a').each(function (){
                let _a_href = $(this).attr('href');
                console.log('_a_href');
                console.log(_a_href);
                if(_a_href && _a_href.indexOf('chat.whatsapp.com') !=-1){
                    let _group_link  = $(this).text();
                    if(_group_link.indexOf('chat.whatsapp.com') == -1){
                        _group_link = _a_href;
                    }
                    shangjia_infos.push({
                        '_shangjia_id': _group_link,
                        '_shangjia_url': _post_url
                    });
                    //
                    if(shangjia_infos.length == 10){
                        //
                        var message = {
                            action: 'shangjia_whatsapp_group_items_update',
                            info: '',
                            shangjia_infos: shangjia_infos
                        };
                        send_message_to_popup(message);
                        shangjia_infos = [];
                    }
                    //
                }
            });
            //
        });
        //
        if(shangjia_infos.length > 0){
            var message = {
                action: 'shangjia_whatsapp_group_items_update',
                info: '',
                shangjia_infos: shangjia_infos
            };
            send_message_to_popup(message);
            //
        }
        //
    }
}
//end

//youtube采集
function shangjia_youtube_caiji(){
    console.log('shangjia_youtube_caiji');
    let current_url = window.location.href;
    if(current_url) {
        if (current_url.indexOf('youtube') !=-1 && current_url.indexOf('results?search_query') != -1) {
            var shangjia_infos = [];
            console.log('shangjia_youtube_caiji a2');
            //watch
            $("#contents ytd-video-renderer").each(function (){
                console.log('shangjia_youtube_caiji a3');
                let _shangjia_name = '';
                let _shangjia_a_link = $(this).find('a#video-title').eq(0).attr('href');
                if(_shangjia_a_link && _shangjia_a_link.indexOf('watch') != -1){
                    let _shangjia_a_link_www = 'https://www.youtube.com'+_shangjia_a_link;
                    let _shangjia_id = _shangjia_a_link;
                    _shangjia_name = $(this).find('a#video-title').eq(0).attr('title');

                    let _shangjia_info = {
                        '_shangjia_id': _shangjia_id,
                        '_shangjia_name': _shangjia_name,
                        '_shangjia_a_link':_shangjia_a_link_www,
                        '_whatsapp_group_link':'',
                        '_whatsapp_num':'',
                        '_is_shorts':0
                    };
                    shangjia_infos.push(_shangjia_info);
                    //
                }
                //
                if(shangjia_infos.length == 50){
                    //
                    var message = {
                        action: 'shangjia_youtube_items_update',
                        info: '',
                        shangjia_infos: shangjia_infos
                    };
                    send_message_to_popup(message);
                    shangjia_infos = [];
                }
                //
            });
            //short 竖排
            $("#contents ytd-video-renderer").each(function (){
                console.log('short 竖排 a3');
                let _shangjia_name = '';
                let _shangjia_a_link = $(this).find('h3.ytd-video-renderer a').eq(0).attr('href');
                if(_shangjia_a_link && _shangjia_a_link.indexOf('shorts') != -1){
                    let _shangjia_channel_url = $(this).find('a#channel-thumbnail').eq(0).attr('href');
                    let _shangjia_a_link_www = 'https://www.youtube.com'+_shangjia_channel_url+'/about';
                    let _shangjia_id = _shangjia_a_link;
                    _shangjia_name = $(this).find('h3.ytd-video-renderer a').eq(0).attr('title');
                    let _hongren_name = $(this).find('ytd-channel-name').eq(0).text();
                    let _shangjia_info = {
                        '_shangjia_id': _shangjia_id,
                        '_shangjia_name': _shangjia_name,
                        '_shangjia_a_link':_shangjia_a_link_www,
                        '_hongren_name':_hongren_name,
                        '_hongren_url':_shangjia_a_link_www,
                        '_is_shorts':1
                    };
                    //console.log(_shangjia_info);
                    shangjia_infos.push(_shangjia_info);
                    //
                }
                if(shangjia_infos.length == 50){
                    //
                    var message = {
                        action: 'shangjia_youtube_items_update',
                        info: '',
                        shangjia_infos: shangjia_infos
                    };
                    send_message_to_popup(message);
                    shangjia_infos = [];
                }
            });
            //
            var message = {
                action: 'shangjia_youtube_items_update',
                info: '',
                shangjia_infos: shangjia_infos
            };
            send_message_to_popup(message);
        }
    }
}

var navigation_url = '';
function perf_observer(list, obserer){
    //console.log('aa');
    //console.log(getNetworkRequests(list.getEntriesByType('resource')));
    performanceResourceList = list.getEntriesByType('resource');
    //console.log(performanceResourceList);
    for(i = 0; i<performanceResourceList.length; i++){
        performanceResourceItem = performanceResourceList[i];
        //console.log('abababa');
        //console.log(performanceResourceItem);
        if(performanceResourceItem['initiatorType'] == 'xmlhttprequest'){
            if(performanceResourceItem['name'].indexOf('graphql')>-1){
                //console.log(performanceResourceItem['name']);
                console.log('bbbb'+performanceResourceItem['name']);
                //search posts
                shangjia_search_posts();
                //
                shangjia_profile_posts();
                //
                shangjia_group_search_posts();
                //
                shangjia_search_posts_review();
                //shangjia_group_caiji();
                //
                //shangjia_group_info_send();
                //
                //shangjia_friends_caiji();
                //
                //shangjia_friends_send();
                //搜索people页
                //shangjia_search_people_caiji();
                //搜索Pages页
                //shangjia_search_pages_caiji();
                //搜索Places页
                //shangjia_search_places_caiji();
                //video like
                //shangjia_video_like_people_caiji();
                //watch comment
                //shangjia_video_comment_people_caiji();
            }
        }else if(performanceResourceItem['initiatorType'] == 'fetch'){
            if(performanceResourceItem['name'].indexOf('youtubei/v1/search')!=-1){
                //console.log(performanceResourceItem['name']);
                console.log('bbbb'+performanceResourceItem['name']);
                //
                setTimeout(function() {
                    shangjia_youtube_caiji();
                }, 1000);
            }
        }
    }
    //////
    /*performanceNavigationList = list.getEntriesByType('navigation');
    for(i = 0; i<performanceNavigationList.length; i++) {
        performanceNavigationItem = performanceNavigationList[i];
        if (performanceNavigationItem['initiatorType'] == 'navigation') {
            navigation_url = performanceNavigationItem['name']
        }
    }*/
}
var observer_ = new PerformanceObserver(perf_observer);
//observer_.observe({entryTypes:['resource', 'navigation']});
observer_.observe({entryTypes:['resource', 'navigation', 'paint']});
//

$(document).ready(function () {
    let current_url = window.location.href;
    if(current_url) {
        setTimeout(function() {
            shangjia_youtube_caiji();
            }, 1000);
    }
});

function download(filename, text) {
    const pom = document.createElement("a");
    pom.setAttribute("href", "data:text/plain;charset=utf-8," + encodeURIComponent(text));
    pom.setAttribute("download", filename);
    if (document.createEvent) {
        const event = document.createEvent("MouseEvents");
        event.initEvent("click", true, true);
        pom.dispatchEvent(event)
    } else {
        pom.click()
    }
}

function export_whatsapp_group_member() {
    //
    if ($("#main header  span[dir='auto']")
        && $("#main header  span.selectable-text")) {
        let groupName = $("#main header  span[dir='auto']").text();
        let subTitle = $("#main header").find("span.selectable-text").attr("title");
        if (groupName && subTitle) {
            if (subTitle.split("，").length > 1 ||
                        subTitle.split(",").length > 1 ||
                        subTitle.split(", ").length > 1 ||
                        subTitle.split("、").length > 1 ||
                        subTitle.split("、 ").length > 1) {
                let phones = '';
                if (subTitle.split("，").length > 3) {
                    phones = subTitle.split("，");
                } else if (subTitle.split(",").length >3) {
                    phones = subTitle.split(",");
                } else if (subTitle.split("、").length > 3) {
                    phones = subTitle.split("、");
                }else if(subTitle.split(",").length > 3){
                    phones = subTitle.split(",");
                }else if(subTitle.split("、").length > 3){
                    phones = subTitle.split("、 ");
                }
                console.log('phones');
                console.log(phones);
                download(`${groupName}.csv`, `${groupName} - Phone Numbers\n${phones.join("\n")}`)
            }
        }
    }
}

//send message to pop
function send_message_to_popup(message={}){
    /*
    {
            action: 'extract-catalog-products-export-clean',
            info: ''
        }
     */
    console.log('message');
    console.log(message);
    chrome.runtime.sendMessage(message,(msg)=>{
        console.log('答复',msg)
    })
}

// get popup2content info
chrome.runtime.onMessage.addListener((request, sender, sendResponse) => {
    if(request.action == 'export_whatsapp_group_member'){
        export_whatsapp_group_member();
        sendResponse([]);
    }
});
//